%--------------------------------------------------------------------------
% File     : CAT004=Catgry3Subs-0 : TPTP v1.2.0. Bugfixed v1.0.0.
% Domain   : Category Theory
% Axioms   : Substitution axioms for category theory axioms
% Version  : [Scott, 1979] axioms.
% English  : 

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist Logic, 
%            In Fournam M.P. (Ed), Durham Proceedings, Applications 
%            of Sheaves, (Lecture Notes in Mathematics, Volume 753), 
%            660-696.
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   0 unit)
%            Number of literals          :   17 (  11 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    3 (   0 constant)
%            Number of variables         :   18 (   0 singleton)
%            Maximal term depth          :    2

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%-----Equality substitution axioms (Quaife uses paramodulation) 
input_clause(there_exists_substitution,axiom,
    [--equal(X,Y),
     --there_exists(X),
     ++there_exists(Y)]).

input_clause(equivalent_substitution1,axiom,
    [--equal(X,Y),
     --equivalent(X,Z),
     ++equivalent(Y,Z)]).

input_clause(equivalent_substitution2,axiom,
    [--equal(X,Y),
     --equivalent(Z,X),
     ++equivalent(Z,Y)]).

input_clause(domain_substitution,axiom,
    [--equal(X,Y),
     ++equal(domain(X),domain(Y))]).

input_clause(codomain_substitution,axiom,
    [--equal(X,Y),
     ++equal(codomain(X),codomain(Y))]).

input_clause(compose_substitution1,axiom,
    [--equal(X,Y),
     ++equal(compose(X,Z),compose(Y,Z))]).

input_clause(compose_substitution2,axiom,
    [--equal(X,Y),
     ++equal(compose(Z,X),compose(Z,Y))]).
%--------------------------------------------------------------------------
