%--------------------------------------------------------------------------
% File     : GRP123=321COILS-6.SIZE : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : (3,2,1) conjugate orthogonality
% Version  : [Slaney, 1993] axioms. 
%            Theorem formulation : Uses a second group.
% English  : If ab=xy and a*b = x*y then a=x and b=y, where c*b=a iff ab=c
%            Generate the multiplication table for the specified quasi-
%            group with SIZE elements.

% Refs     : Fujita M., Slaney J., Bennett F. (1993), Automatic Generation
%            of Some Results in Finite Algebra, Bajcsy R. (Ed), 
%            Proceedings of the 13th International Joint Conference on
%            Artificial Intelligence (Chambery, France, 1993), Morgan
%            Kaufman, San Mateo, USA, 52-57.
%          : Slaney J. (1993), Email to Geoff Sutcliffe.
%          : Slaney J., Fujita M., Stickel M. (1995), Automated Reasoning
%            and Exhaustive Search: Quasigroup Existence Problems,
%            Computers and Mathematics with Applications 29(2), 115-132.
% Source   : [Slaney, 1993]
% Names    : QG1a [Slaney, 1993]

% Status   : STATUS
% Syntax   : Number of clauses           : CLSS (NNHN non-Horn)(UNIT unit)
%            Number of literals          : LITS (EQLS equality)
%            Maximal clause size         : CLSZ
%            Number of predicate symbols : PRED (PROP propositional)
%            Number of function symbols  : FUNC (CNST constant)
%            Number of variables         : VARS (SGTN singleton)
%            Maximal term depth          : TMDP

% Comments : Slaney's [1993] axiomatization has been modified for this.
%          : Substitution axioms are not needed, as any positive equality
%            literals should resolve on negative ones directly.
%--------------------------------------------------------------------------
%----Include basic quasigroup code
:-tptp2X_include('Generators/GRP123-1.g').
%--------------------------------------------------------------------------
%----The status of this problem (including some open!)
'GRP123-6_status'(Size,Status):-
    'GRP123-1_status'(Size,Status).
%--------------------------------------------------------------------------
'GRP123-6'(Size,Clauses,Status):-
    integer(Size),
    'GRP123-1_qg_element_clauses'(Size,ElementClauses),
    'GRP123-1_standard_qg_clauses'(Size,product1,StandardClauses1,yes),
    'GRP123-1_standard_qg_clauses'(Size,product2,StandardClauses2,yes),
    tptp2X_append(ElementClauses,StandardClauses1,Clauses1),
    tptp2X_append(Clauses1,StandardClauses2,AxiomClauses),
    tptp2X_append(AxiomClauses,[
input_clause(qg1a,theorem,
    [--product1('X','Y','Z1'),
     --product1('Z1','Y','Z2'),
     ++product2('Z2','X','Y')])],Clauses),
    'GRP123-6_status'(Size,Status).
%--------------------------------------------------------------------------
%----Provide information about the GRP123-6 generator
'GRP123-6_file_information'(generator,sizes(X,(X>=1)),sota(3)).
%--------------------------------------------------------------------------
