%--------------------------------------------------------------------------
% File     : SYN002=OddEven-1.SIZE : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Odd and Even Problem
% Version  : 
% English  : Given by the clauses C1: p(X) v p(f^M(X)) and C2: ~p(X) 
%            v ~p(f^N(X)), where if M is odd N is even and vice versa,
%            N > M. The sizes are used for N and M.

% Refs     : Socher-Ambrosius R. (1992), How to Avoid the Derivation 
%            of Redundant Clauses in Reasoning Systems, Journal of 
%            Automated Reasoning 9(1), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 77-97.
% Source   : [Socher-Ambrosius, 1992]
% Names    : ederX-Y.lop (Size X:Y) [TUM]

% Status   : STATUS
% Syntax   : Number of clauses           : CLSS (NNHN non-Horn)(UNIT unit)
%            Number of literals          : LITS (EQLS equality)
%            Maximal clause size         : CLSZ
%            Number of predicate symbols : PRED (PROP propositional)
%            Number of function symbols  : FUNC (CNST constant)
%            Number of variables         : VARS (SGTN singleton)
%            Maximal term depth          : TMDP

% Comments : 
%--------------------------------------------------------------------------
%----Generate f^Order(X)
'SYN002-1_generate_argument'(0,'X'):-
    !.

'SYN002-1_generate_argument'(Order,f(Argument)):-
    Order >= 1,
    NextOrder is Order - 1,
    'SYN002-1_generate_argument'(NextOrder,Argument).
%--------------------------------------------------------------------------
'SYN002-1'(FixedDepth:VariableDepth,[
input_clause(positive,theorem,
    [++p('X'),++p(FixedArgument)]),
input_clause(negative,theorem,
    [--p('X'),--p(VariableArgument)])
],unsatisfiable):-
    integer(FixedDepth),
    integer(VariableDepth),
    FixedDepth >= 1,
    VariableDepth > FixedDepth,
    1 is (FixedDepth+VariableDepth) mod 2,
    !,
    'SYN002-1_generate_argument'(FixedDepth,FixedArgument),
    'SYN002-1_generate_argument'(VariableDepth,VariableArgument).
%--------------------------------------------------------------------------
%----Provide information about the SYN002-1 generator
'SYN002-1_file_information'(generator,sizes(X:Y,(X>=1,Y>X,(X+Y) mod 2 =:= 1)),sota(7:8)).
%--------------------------------------------------------------------------
