%--------------------------------------------------------------------------
% File     : SYN010=Letz-1.SIZE : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Example for Proposition 5.2 in [Letz, et al., 1994]
% Version  : 
% English  : Example to show that connection tableaux with factorization
%            cannot polynomially simulate simulate connection tableaux with
%            folding up.

% Refs     : Letz R., Mayr K., Goller C. (1994), Controlled Integrations of 
%            the Cut Rule into Connection Tableau Calculi, Journal of
%            Automated Reasoning 13(3), 297-337.
% Source   : [Letz, et al., 1994]
% Names    : Example 5.1 [Letz, et al., 1994]

% Status   : STATUS
% Syntax   : Number of clauses           : CLSS (NNHN non-Horn)(UNIT unit)
%            Number of literals          : LITS (EQLS equality)
%            Maximal clause size         : CLSZ
%            Number of predicate symbols : PRED (PROP propositional)
%            Number of function symbols  : FUNC (CNST constant)
%            Number of variables         : VARS (SGTN singleton)
%            Maximal term depth          : TMDP

% Comments : 
%--------------------------------------------------------------------------
'SYN010-1_add_positive_to_each'([],_,[]):-
    !.

'SYN010-1_add_positive_to_each'([FirstPositiveLiteral|RestOfPositiveLiterals],
NegativeLiterals,[[FirstPositiveLiteral|NegativeLiterals]|
RestOfMixedClauses]):-
'SYN010-1_add_positive_to_each'(RestOfPositiveLiterals,NegativeLiterals,
RestOfMixedClauses).
%--------------------------------------------------------------------------
'SYN010-1_make_mixed_clauses'(Index,HighIndex,_,[]):-
    Index > HighIndex,
    !.

'SYN010-1_make_mixed_clauses'(Index,HighIndex,M,MixedClauses):-
    concatenate_atoms([p_,Index],NegativeBase),
    generate_literals(1,M,NegativeBase,_,_,NegativeLiterals),
    Index1 is Index - 1,
    concatenate_atoms([p_,Index1],PositiveBase),
    generate_literals(1,M,PositiveBase,_,PositiveLiterals,_),
    'SYN010-1_add_positive_to_each'(PositiveLiterals,NegativeLiterals,
OneBatchOfMixedClauses),
    NextIndex is Index + 1,
    'SYN010-1_make_mixed_clauses'(NextIndex,HighIndex,M,MoreMixedClauses),
    tptp2X_append(OneBatchOfMixedClauses,MoreMixedClauses,
MixedClauses).
%--------------------------------------------------------------------------
'SYN010-1'(N:M,Clauses,unsatisfiable):-
    integer(N),
    integer(M),
    generate_literals(1,M,p_1,_,_,NegativeLiterals),
    'SYN010-1_make_mixed_clauses'(2,N,M,MixedClauses),
    concatenate_atoms([p_,N],UnitBase),
    generate_literals(1,M,UnitBase,_,PositiveLiterals,_),
    findall([PositiveLiteral],tptp2X_member(PositiveLiteral,
PositiveLiterals),PositiveUnits),
    tptp2X_append([[--p_0],[++p_0|NegativeLiterals]|MixedClauses],
PositiveUnits,AllClausesLiterals),
    make_input_clauses(AllClausesLiterals,clause,1,theorem,Clauses).
%--------------------------------------------------------------------------
%----Provide information about the SYN010-1 generator
'SYN010-1_file_information'(generator,sizes(X:Y,(X>=1,Y>=1)),sota(5:5)).
%--------------------------------------------------------------------------
