%--------------------------------------------------------------------------
% File     : SYN090=DAPt3-1.SIZE : TPTP v1.2.0. Bugfixed v1.1.4.
% Domain   : Syntactic
% Problem  : Plaisted problem t(3,SIZE)
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : T3n [Plaisted, 1994]

% Status   : STATUS
% Syntax   : Number of clauses           : CLSS (NNHN non-Horn)(UNIT unit)
%            Number of literals          : LITS (EQLS equality)
%            Maximal clause size         : CLSZ
%            Number of predicate symbols : PRED (PROP propositional)
%            Number of function symbols  : FUNC (CNST constant)
%            Number of variables         : VARS (SGTN singleton)
%            Maximal term depth          : TMDP

% Comments : 
% Bugfixes : v1.1.4 - Bugfix in SYN087-1.
%--------------------------------------------------------------------------
%----Include Plaisted problem s(3,SIZE)
:-tptp2X_include('Generators/SYN087-1.g').
%--------------------------------------------------------------------------
'SYN090-1'(Size,Clauses,unsatisfiable):-
    integer(Size),
    'SYN087-1'(Size,SClauses,_),
    TwoN is 2 * Size,
    TwoNMinus1 is TwoN - 1,
    TwoNMinus2 is TwoN - 2,
    concatenate_atoms([p_,TwoNMinus2],Head1),
    concatenate_atoms([p_,TwoNMinus1],Head2),
    concatenate_atoms([q_,TwoNMinus2],Head3),
    concatenate_atoms([q_,TwoNMinus1],Head4),
    make_input_clauses([[++Head1],[++Head2],[++Head3],[++Head4]],t3,1,axiom,
TypeT3Clauses),
    tptp2X_append(SClauses,TypeT3Clauses,Clauses).
%--------------------------------------------------------------------------
%----Provide information about the SYN090-1 generator
'SYN090-1_file_information'(generator,sizes(X,(X>=1)),sota(8)).
%--------------------------------------------------------------------------
