%--------------------------------------------------------------------------
% File     : SYN091=DAPsyms2-1.SIZE : TPTP v1.2.0. Bugfixed v1.1.4.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(s(2,SIZE))
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : Sym(S2n) [Plaisted, 1994]

% Status   : STATUS
% Syntax   : Number of clauses           : CLSS (NNHN non-Horn)(UNIT unit)
%            Number of literals          : LITS (EQLS equality)
%            Maximal clause size         : CLSZ
%            Number of predicate symbols : PRED (PROP propositional)
%            Number of function symbols  : FUNC (CNST constant)
%            Number of variables         : VARS (SGTN singleton)
%            Maximal term depth          : TMDP

% Comments : 
% Bugfixes : v1.1.4 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
%----Include Plaisted problem s(2,SIZE)
:-tptp2X_include('Generators/SYN086-1.g').
%--------------------------------------------------------------------------
'SYN091-1_sym_transform_each_literal'([],[]):-
    !.

'SYN091-1_sym_transform_each_literal'([Literal|RestOfLiterals],[NewLiteral|
RestOfTransformedLiterals]):-
    Literal =.. [Sign,Atom],
    tptp2X_invert_sign(Sign,InvertedSign),
    Atom =.. [Symbol|Arguments],
    concatenate_atoms([sym_,Symbol],NewSymbol),
    NewAtom =.. [NewSymbol|Arguments],
    NewLiteral =.. [InvertedSign,NewAtom],
    'SYN091-1_sym_transform_each_literal'(RestOfLiterals,
RestOfTransformedLiterals).
%--------------------------------------------------------------------------
'SYN091-1_sym_transform_each_clause'([],[]):-
    !.

'SYN091-1_sym_transform_each_clause'([input_clause(Name,Status,Literals)|
RestOfBaseClauses],[input_clause(NewName,Status,NewLiterals)|
RestOfClauses]):-
    concatenate_atoms([sym_,Name],NewName),
    'SYN091-1_sym_transform_each_literal'(Literals,NewLiterals),
    'SYN091-1_sym_transform_each_clause'(RestOfBaseClauses,RestOfClauses).
%--------------------------------------------------------------------------
'SYN091-1_sym_transform'(Clauses,TransformedClauses):-
    'SYN091-1_sym_transform_each_clause'(Clauses,Clauses1),
    tptp2X_select(input_clause(Name,theorem,Literals),Clauses1,
OtherTransformedClauses),
    tptp2X_append(Clauses,[input_clause(Name,axiom,Literals)|
OtherTransformedClauses],TransformedClauses).
%--------------------------------------------------------------------------
'SYN091-1'(Size,Clauses,satisfiable):-
    integer(Size),
    'SYN086-1'(Size,SClauses,_),
    'SYN091-1_sym_transform'(SClauses,Clauses).
%--------------------------------------------------------------------------
%----Provide information about the SYN091-1 generator
'SYN091-1_file_information'(generator,sizes(X,(X>=1)),sota(3)).
%--------------------------------------------------------------------------
