%--------------------------------------------------------------------------
% File     : SYN095=DAPmt2-1.SIZE : TPTP v1.2.0. Bugfixed v1.1.4.
% Domain   : Syntactic
% Problem  : Plaisted problem m(t(2,SIZE))
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : M(T2n) [Plaisted, 1994]

% Status   : STATUS
% Syntax   : Number of clauses           : CLSS (NNHN non-Horn)(UNIT unit)
%            Number of literals          : LITS (EQLS equality)
%            Maximal clause size         : CLSZ
%            Number of predicate symbols : PRED (PROP propositional)
%            Number of function symbols  : FUNC (CNST constant)
%            Number of variables         : VARS (SGTN singleton)
%            Maximal term depth          : TMDP

% Comments : 
% Bugfixes : v1.1.4 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
%----Include Plaisted problem t(2,SIZE)
:-tptp2X_include('Generators/SYN089-1.g').
%--------------------------------------------------------------------------
'SYN095-1_m_transform_each_clause'([],[]):-
    !.

%----Positive unit clause case
'SYN095-1_m_transform_each_clause'([input_clause(Name,Status,
[++Proposition])|RestOfBaseClauses],[input_clause(NewName,Status,
[++NewAtom])|RestOfClauses]):-
    !,
    NewAtom =.. [Proposition,a],
    concatenate_atoms([m_,Name],NewName),
    'SYN095-1_m_transform_each_clause'(RestOfBaseClauses,RestOfClauses).

%----Negative and non-unit cases
'SYN095-1_m_transform_each_clause'([input_clause(Name,Status,Literals)|
RestOfBaseClauses],[input_clause(NewName,Status,TransformedLiterals)|
RestOfClauses]):-
    add_arguments_to_each_literal(Literals,['X'],TransformedLiterals),
    concatenate_atoms([m_,Name],NewName),
    'SYN095-1_m_transform_each_clause'(RestOfBaseClauses,RestOfClauses).
%--------------------------------------------------------------------------
'SYN095-1_m_transform'(Clauses,TransformedClauses):-
    'SYN095-1_m_transform_each_clause'(Clauses,TransformedClauses).
%--------------------------------------------------------------------------
'SYN095-1'(Size,Clauses,unsatisfiable):-
    integer(Size),
    'SYN089-1'(Size,SClauses,_),
    'SYN095-1_m_transform'(SClauses,Clauses).
%--------------------------------------------------------------------------
%----Provide information about the SYN095-1 generator
'SYN095-1_file_information'(generator,sizes(X,(X>=1)),sota(2)).
%--------------------------------------------------------------------------
