%--------------------------------------------------------------------------
% File     : SYN102=DAPnt3-1.SIZE : TPTP v1.2.0. Bugfixed v1.1.4.
% Domain   : Syntactic
% Problem  : Plaisted problem n(t(3,SIZE1),SIZE2)
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : N(T3n)) [Plaisted, 1994]

% Status   : STATUS
% Syntax   : Number of clauses           : CLSS (NNHN non-Horn)(UNIT unit)
%            Number of literals          : LITS (EQLS equality)
%            Maximal clause size         : CLSZ
%            Number of predicate symbols : PRED (PROP propositional)
%            Number of function symbols  : FUNC (CNST constant)
%            Number of variables         : VARS (SGTN singleton)
%            Maximal term depth          : TMDP

% Comments : 
% Bugfixes : v1.1.4 - Bugfix in SYN087-1.
%--------------------------------------------------------------------------
%----Include Plaisted problem t(3,SIZE)
:-tptp2X_include('Generators/SYN090-1.g').
%----Include Plaisted problem n(t(2,SIZE),SIZE)
:-tptp2X_include('Generators/SYN101-1.g').
%--------------------------------------------------------------------------
'SYN102-1'(Size:NumberOfVariables,Clauses,unsatisfiable):-
    integer(Size),
    integer(NumberOfVariables),
    'SYN090-1'(Size,TClauses,_),
    'SYN101-1_n_transform'(TClauses,NumberOfVariables,Clauses).
%--------------------------------------------------------------------------
%----Provide information about the SYN102-1 generator
'SYN102-1_file_information'(generator,sizes(X:Y,(X>=1,Y>=1)),sota(7:7)).
%--------------------------------------------------------------------------
