%--------------------------------------------------------------------------
% File     : BOO019=IndpAx-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Boolean Algebra (Ternary)
% Problem  : Prove the independance of Ternary Boolean algebra axiom
% Version  : 
% English  : 

% Refs     : Winker S. (1982), Generation and Verification of Finite Models
%            and Counterexamples Using an Automated Theorem Prover
%            Answering Two Open Questions, Journal of the ACM 29(2),
%            273-284.
%          : Bourely C., Caferra R., Peltier N. (1994), A Method for
%            Building Models Automatically. Experiments with an extension
%            of Otter, In Bundy A. (Ed), Proceedings of the 12th
%            International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 814),
%            Springer-Verlag, New York, USA, 72-86.
% Source   : [Bourely, et al., 1984]
% Names    : A1 [Winker, 1982]
%          : Example 4 [Bourely, et al., 1984]

% Status   : satisfiable
% Syntax   : Number of clauses           :   12 (   0 non-Horn)(   6 unit)
%            Number of literals          :   19 (  19 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   2 constant)
%            Number of variables         :   31 (   1 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitution1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution1,axiom,
    [--equal(C,D),
     ++equal(multiply(C,E,F),multiply(D,E,F))]).

input_clause(multiply_substitution2,axiom,
    [--equal(G,H),
     ++equal(multiply(I,G,J),multiply(I,H,J))]).

input_clause(multiply_substitution3,axiom,
    [--equal(K,L),
     ++equal(multiply(M,N,K),multiply(M,N,L))]).

input_clause(associativity,axiom,
    [++equal(multiply(multiply(V,W,X),Y,multiply(V,W,Z)),
multiply(V,W,multiply(X,Y,Z)))]).

input_clause(ternary_multiply_2,axiom,
    [++equal(multiply(X,X,Y),X)]).

input_clause(left_inverse,axiom,
    [++equal(multiply(inverse(Y),Y,X),X)]).

input_clause(right_inverse,axiom,
    [++equal(multiply(X,Y,inverse(Y)),X)]).

input_clause(prove_ternary_multiply_1_independant,theorem,
    [--equal(multiply(y,x,x),x)]).
%--------------------------------------------------------------------------
