%--------------------------------------------------------------------------
% File     : CAT010=CodXYCodX-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If xy is defined, then codomain(xy) = codomain(x)
% Version  : [Mitchell, 1967] axioms.
% English  : 

% Refs     : Mitchell B. (1967), Theory of categories, (Pure and Applied 
%            Mathematics, Volume 17), Academic Press.
% Source   : [ANL]
% Names    : p10.ver1.in [ANL]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   33 (   0 non-Horn)(   9 unit)
%            Number of literals          :   79 (  22 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    5 (   2 constant)
%            Number of variables         :   88 (   5 singleton)
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(ba_defined,hypothesis,
    [++defined(b,a)]).

input_clause(prove_codomain_of_ba_equals_codomain_of_b,theorem,
    [--equal(codomain(compose(b,a)),codomain(b))]).
%--------------------------------------------------------------------------
