%--------------------------------------------------------------------------
% File     : COL074=UnSatTRC-3 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Unsatisfiable variant of TRC
% Version  : [Jech, 1994] (equality) axioms : Augmented.
% English  : If the function symbol K is replaced by the K combinator then 
%            the resultant system is inconsistent.

% Refs     : Jech T. (1994), Otter Experiments in a System of Combinatory 
%            Logic, Unpublished.
% Source   : [Jech, 1994]
% Names    : - [Jech, 1994]

% Status   : unknown
% Syntax   : Number of clauses           :   22 (   1 non-Horn)(  12 unit)
%            Number of literals          :   33 (  33 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :   11 (   8 constant)
%            Number of variables         :   42 (   3 singleton)
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Don't include axioms of Type-respecting combinators 
%include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
%----Replace k function by k combinator 
%input_clause(k_definition,axiom,
%    [++equal(apply(k(X),Y),X)]).
input_clause(k_definition,axiom,
    [++equal(apply(apply(k,X),Y),X)]).

input_clause(projection1,axiom,
    [++equal(apply(projection1,pair(X,Y)),X)]).

input_clause(projection2,axiom,
    [++equal(apply(projection2,pair(X,Y)),Y)]).

input_clause(pairing,axiom,
    [++equal(pair(apply(projection1,X),apply(projection2,X)),X)]).

input_clause(pairwise_application,axiom,
    [++equal(apply(pair(X,Y),Z),pair(apply(X,Z),apply(Y,Z)))]).

%----Replace k function by k combinator 
%input_clause(abstraction,axiom,
%    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,k(Z)),
%apply(Y,Z)))]).
input_clause(abstraction,axiom,
    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,
apply(k,Z)),apply(Y,Z)))]).

input_clause(equality,axiom,
    [++equal(apply(eq,pair(X,X)),projection1)]).

input_clause(extensionality1,axiom,
    [++equal(X,Y),
     ++equal(apply(eq,pair(X,Y)),projection2)]).

input_clause(extensionality2,axiom,
    [++equal(X,Y),
     --equal(apply(X,n(X,Y)),apply(Y,n(X,Y)))]).

input_clause(different_projections,axiom,
    [--equal(projection1,projection2)]).

%----This are the extra lemmas 
input_clause(k_projection1,axiom,
    [++equal(apply(k,projection1),k_projection1)]).

input_clause(k_projection2,axiom,
    [++equal(apply(k,projection2),k_projection2)]).

input_clause(self_referential,axiom,
    [++equal(s,apply(eq,pair(apply(k,s),apply(k,projection2))))]).

%----Subsitution axioms 
input_clause(apply_substitution1,axiom,
    [--equal(D,E),
     ++equal(apply(D,F),apply(E,F))]).

input_clause(apply_substitution2,axiom,
    [--equal(G,H),
     ++equal(apply(I,G),apply(I,H))]).

input_clause(n_substitution1,axiom,
    [--equal(L,M),
     ++equal(n(L,N),n(M,N))]).

input_clause(n_substitution2,axiom,
    [--equal(O,P),
     ++equal(n(Q,O),n(Q,P))]).

input_clause(pair_substitution1,axiom,
    [--equal(R,S),
     ++equal(pair(R,T),pair(S,T))]).

input_clause(pair_substitution2,axiom,
    [--equal(U,V),
     ++equal(pair(W,U),pair(W,V))]).
%--------------------------------------------------------------------------
