%--------------------------------------------------------------------------
% File     : COL075=UnSatTRCLem1-2 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Lemma 1 for showing the unsatisfiable variant of TRC
% Version  : [Jech, 1994] (equality) axioms : Reduced > Incomplete.
% English  : Searching for a diagonal combinator F with the property 
%            f X Y = X X.

% Refs     : Jech T. (1994), Otter Experiments in a System of Combinatory 
%            Logic, Unpublished.
% Source   : [Jech, 1994]
% Names    : - [Jech, 1994]

% Status   : unknown
% Syntax   : Number of clauses           :   10 (   0 non-Horn)(   4 unit)
%            Number of literals          :   17 (  17 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    5 (   2 constant)
%            Number of variables         :   22 (   1 singleton)
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Don't include axioms of Type-respecting combinators 
%include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
%----Replace k function by k combinator 
%input_clause(k_definition,axiom,
%    [++equal(apply(k(X),Y),X)]).
input_clause(k_definition,axiom,
    [++equal(apply(apply(k,X),Y),X)]).

%----Replace k function by k combinator 
%input_clause(abstraction,axiom,
%    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,k(Z)),
%apply(Y,Z)))]).
input_clause(abstraction,axiom,
    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,
apply(k,Z)),apply(Y,Z)))]).

%----Subsitution axioms 
input_clause(apply_substitution1,axiom,
    [--equal(D,E),
     ++equal(apply(D,F),apply(E,F))]).

input_clause(apply_substitution2,axiom,
    [--equal(G,H),
     ++equal(apply(I,G),apply(I,H))]).

input_clause(b_substitution1,axiom,
    [--equal(A,B),
     ++equal(b(A),b(B))]).

input_clause(c_substitution1,axiom,
    [--equal(C,D),
     ++equal(c(C),c(D))]).

input_clause(prove_diagonal_combinator,theorem,
    [--equal(apply(apply(Y,b(Y)),c(Y)),apply(b(Y),b(Y)))]).
%--------------------------------------------------------------------------
