%--------------------------------------------------------------------------
% File     : GEO046=2ndBtwnInrTrans-2 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Second inner transitivity property of betweenness
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [Quaife, 1989]
% Names    : B8 [Quaife, 1989]

% Status   : unknown
% Syntax   : Number of clauses           :   56 (   5 non-Horn)(  10 unit)
%            Number of literals          :  136 (  70 equality)
%            Maximal clause size         :    8
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :   12 (   7 constant)
%            Number of variables         :  261 (   3 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_x,hypothesis,
    [++between(u,v,x)]).

input_clause(w_between_v_and_x,hypothesis,
    [++between(v,w,x)]).

input_clause(prove_w_between_u_and_x,theorem,
    [--between(u,w,x)]).
%--------------------------------------------------------------------------
