%--------------------------------------------------------------------------
% File     : GRP051=ProdInvAx3-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in product & inverse
% Version  : [McCune, 1993] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of product 
%            and inverse.

% Refs     : Kunen K. (1992), Single Axioms for Groups, Journal 
%            of Automated Reasoning 9(3), 291-308.
%          : McCune W.W. (1993), Single Axioms for Groups and Abelian 
%            Groups with Various Operations, Journal of Automated 
%            Reasoning 10(1), 1-13.
% Source   : [Kunen, 1992]
% Names    : C3 [Kunen, 1992]
%          : Axiom 2.1 [McCune, 1993]

% Status   : unknown
% Syntax   : Number of clauses           :    8 (   0 non-Horn)(   2 unit)
%            Number of literals          :   16 (  16 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    9 (   7 constant)
%            Number of variables         :   17 (   0 singleton)
%            Maximal term depth          :    7

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(multiply(multiply(inverse(multiply(Z,inverse(multiply(X,Y)))),
multiply(Z,inverse(Y))),inverse(multiply(inverse(Y),Y))),X)]).

%----Substitution axioms 
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(prove_these_axioms,theorem,
    [--equal(multiply(inverse(a1),a1),multiply(inverse(b1),b1)),
     --equal(multiply(multiply(inverse(b2),b2),a2),a2),
     --equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3)))]).
%--------------------------------------------------------------------------
