%--------------------------------------------------------------------------
% File     : GRP117=O3AxRId-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory
% Problem  : Derive right identity from a single axiom for groups order 3
% Version  : [Wos, Unpublished] (equality) axioms.
% English  : 

% Refs     : Wos L. (Unpublished), Automating the Search for Elegant 
%            Proofs: An Experimenter's Notebook.
% Source   : [OTTER]
% Names    : groups.exp3.in part 3 [OTTER]

% Status   : unknown
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   3 unit)
%            Number of literals          :   12 (  12 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    3 (   2 constant)
%            Number of variables         :   15 (   0 singleton)
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(multiply(X,multiply(multiply(X,multiply(multiply(X,Y),Z)),
multiply(identity,multiply(Z,Z)))),Y)]).

input_clause(multiply_substitution1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution2,axiom,
    [--equal(D,E),
     ++equal(multiply(F,D),multiply(F,E))]).

input_clause(prove_order3,theorem,
    [--equal(multiply(a,identity),a)]).
%--------------------------------------------------------------------------
