%--------------------------------------------------------------------------
% File     : GRP122=O4AxAssoc-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory
% Problem  : Derive associativity from a single axiom for groups order 4
% Version  : [Wos, Unpublished] (equality) axioms.
% English  : 

% Refs     : Wos L. (Unpublished), Automating the Search for Elegant 
%            Proofs: An Experimenter's Notebook.
% Source   : [OTTER]
% Names    : groups.exp4.in part 4 [OTTER]

% Status   : unknown
% Syntax   : Number of clauses           :    8 (   0 non-Horn)(   4 unit)
%            Number of literals          :   13 (  13 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    5 (   4 constant)
%            Number of variables         :   15 (   0 singleton)
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(multiply(Y,multiply(multiply(Y,multiply(multiply(Y,Y),
multiply(X,Z))),multiply(Z,multiply(Z,Z)))),X)]).

input_clause(single_axiom2,axiom,
    [++equal(multiply(identity,identity),identity)]).

input_clause(multiply_substitution1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution2,axiom,
    [--equal(D,E),
     ++equal(multiply(F,D),multiply(F,E))]).

input_clause(prove_order3,theorem,
    [--equal(multiply(multiply(a,b),c),multiply(a,multiply(b,c)))]).
%--------------------------------------------------------------------------
