%--------------------------------------------------------------------------
% File     : GRP135=QG5NoIdem-2.002 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : ((b.a).b).b) = a, no idempotence
% Version  : [Slaney, 1993] axioms : Augmented. 
% English  : Generate the multiplication table for the specified quasi-
%            group with 2 elements.

% Refs     : Bennett F.E. (1989), Quasigroup Identities and Mendelsohn
%            Designs, Canadian Journal of Mathematics 41(2), 341-368.
%          : Fujita M., Slaney J., Bennett F. (1993), Automatic Generation
%            of Some Results in Finite Algebra, Bajcsy R. (Ed), 
%            Proceedings of the 13th International Joint Conference on
%            Artificial Intelligence (Chambery, France, 1993), Morgan
%            Kaufman, San Mateo, USA, 52-57.
%          : Slaney J. (1993), Email to Geoff Sutcliffe.
%          : Slaney J., Fujita M., Stickel M. (1995), Automated Reasoning
%            and Exhaustive Search: Quasigroup Existence Problems,
%            Computers and Mathematics with Applications 29(2), 115-132.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   12 (   1 non-Horn)(   6 unit)
%            Number of literals          :   25 (   5 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :    5 (   0 propositional)
%            Number of function symbols  :    2 (   2 constant)
%            Number of variables         :   21 (   0 singleton)
%            Maximal term depth          :    1

% Comments : Slaney's [1993] axiomatization has been modified for this.
%          : Substitution axioms are not needed, as any positive equality
%            literals should resolve on negative ones directly.
%          : This problem is extensively investigated in [Bennett, 1989].
%          : This version adds a simple isomorphism avoidance clause,
%            mentioned in [Fujita, et al, 1993].
%          : tptp2X: -ftptp -s2 GRP135-2.g
%--------------------------------------------------------------------------
input_clause(e_1_then_e_2,axiom,
    [++next(e_1,e_2)]).

input_clause(e_2_greater_e_1,axiom,
    [++greater(e_2,e_1)]).

input_clause(no_redundancy,axiom,
    [--product(X,e_1,Y),
     --next(X,X1),
     --greater(Y,X1)]).

input_clause(element_1,axiom,
    [++group_element(e_1)]).

input_clause(element_2,axiom,
    [++group_element(e_2)]).

input_clause(e_1_is_not_e_2,axiom,
    [--equal(e_1,e_2)]).

input_clause(e_2_is_not_e_1,axiom,
    [--equal(e_2,e_1)]).

input_clause(product_total_function1,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product(X,Y,e_1),
     ++product(X,Y,e_2)]).

input_clause(product_total_function2,axiom,
    [--product(X,Y,W),
     --product(X,Y,Z),
     ++equal(W,Z)]).

input_clause(product_right_cancellation,axiom,
    [--product(X,W,Y),
     --product(X,Z,Y),
     ++equal(W,Z)]).

input_clause(product_left_cancellation,axiom,
    [--product(W,Y,X),
     --product(Z,Y,X),
     ++equal(W,Z)]).

input_clause(qg3,theorem,
    [--product(Y,X,Z1),
     --product(Z1,Y,Z2),
     ++product(Z2,Y,X)]).
%--------------------------------------------------------------------------
