%--------------------------------------------------------------------------
% File     : GRP154=Mono1Lub-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Prove monotonicity axiom using the LUB transformation
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : This problem proves the original mononicity axiom from the
%            equational axiomatization.

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : ax_mono1a [Schulz, 1995] 

% Status   : unknown
% Syntax   : Number of clauses           :   29 (   0 non-Horn)(  18 unit)
%            Number of literals          :   41 (  41 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    8 (   4 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    3

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(ax_mono1a_1,hypothesis,
    [++equal(least_upper_bound(a,b),b)]).

input_clause(prove_ax_mono1a,theorem,
    [--equal(least_upper_bound(multiply(a,c),multiply(b,c)),
multiply(b,c))]).
%--------------------------------------------------------------------------
