%--------------------------------------------------------------------------
% File     : GRP164=LOGLattDist-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : The lattice of each LOG is distributive
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
%          : Dahn B.I. (1995), Email to Geoff Sutcliffe.
% Source   : [Schulz, 1995]
% Names    : distrnu [Schulz, 1995] 

% Status   : unknown
% Syntax   : Number of clauses           :   28 (   0 non-Horn)(  17 unit)
%            Number of literals          :   40 (  40 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    8 (   4 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    3

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c
%          : [Dahn, 1995] says "The proof is very complex".
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(prove_distrnu,theorem,
    [--equal(least_upper_bound(a,greatest_lower_bound(b,c)),
greatest_lower_bound(least_upper_bound(a,b),least_upper_bound(a,c)))]).
%--------------------------------------------------------------------------
