%--------------------------------------------------------------------------
% File     : GRP165=AppMono-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : An application of monotonicity
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : Essentially a simple application of monotonicity, more 
%            difficult when proved from the equations replacing 
%            monotonicity.

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : lat1a [Schulz, 1995] 

% Status   : unknown
% Syntax   : Number of clauses           :   29 (   0 non-Horn)(  18 unit)
%            Number of literals          :   41 (  41 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    6 (   2 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    3

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(lat1a_1,hypothesis,
    [++equal(least_upper_bound(a,identity),a)]).

input_clause(prove_lat1a,theorem,
    [--equal(least_upper_bound(a,multiply(a,a)),multiply(a,a))]).
%--------------------------------------------------------------------------
