%--------------------------------------------------------------------------
% File     : GRP166=MultPosInc-4 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Multiplication with a positive element increases a value
% Version  : [Fuchs, 1994] (equality) axioms.
%            Theorem formulation : Dual, and uses a different positive 
%            element.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : lat3b [Schulz, 1995] 

% Status   : unknown
% Syntax   : Number of clauses           :   30 (   0 non-Horn)(  19 unit)
%            Number of literals          :   42 (  42 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    7 (   3 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    3

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(lat3b_1,hypothesis,
    [++equal(greatest_lower_bound(a,identity),identity)]).

input_clause(lat3b_2,hypothesis,
    [++equal(greatest_lower_bound(b,identity),identity)]).

input_clause(prove_lat3b,theorem,
    [--equal(greatest_lower_bound(a,multiply(b,a)),a)]).
%--------------------------------------------------------------------------
