%--------------------------------------------------------------------------
% File     : GRP173=SubGNegEl-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Each subgroup of negative elements is trivial
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
%          : Dahn B.I. (1995), Email to Geoff Sutcliffe.
% Source   : [Schulz, 1995]
% Names    : p05a [Schulz, 1995] 

% Status   : unknown
% Syntax   : Number of clauses           :   30 (   0 non-Horn)(  19 unit)
%            Number of literals          :   42 (  42 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    6 (   2 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    3

% Comments : ORDERING LPO greatest_lower_bound > least_upper_bound >
%            inverse > product > identity > a
%          : ORDERING LPO inverse > product > greatest_lower_bound > 
%            least_upper_bound > identity > a
%          : [Dahn, 1995] says "The proof is not difficult but combines 
%            group theory, lattice theory and monotonicity."
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p05a_1,hypothesis,
    [++equal(least_upper_bound(identity,a),identity)]).

input_clause(p05a_2,hypothesis,
    [++equal(least_upper_bound(identity,inverse(a)),identity)]).

input_clause(prove_p05a,theorem,
    [--equal(identity,a)]).
%--------------------------------------------------------------------------
