%--------------------------------------------------------------------------
% File     : GRP176=GenDist-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : General form of distributivity
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
%          : Dahn B.I. (1995), Email to Geoff Sutcliffe.
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Syntax   : Number of clauses           :   28 (   0 non-Horn)(  17 unit)
%            Number of literals          :   40 (  40 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    9 (   5 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    4

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c > d
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c > d
%          : This is a standardized version of the problem that appears in
%            [Schulz, 1995].
%          : [Dahn, 1995] says "Easy from equational axioms, More difficult 
%            from monotonicity. The assumtion is a consequence of group 
%            theory."
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(prove_p07,theorem,
    [--equal(multiply(c,multiply(least_upper_bound(a,b),d)),
least_upper_bound(multiply(c,multiply(a,d)),multiply(c,multiply(b,d))))]).
%--------------------------------------------------------------------------
