%--------------------------------------------------------------------------
% File     : GRP177=LOGMono1-2 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : A consequence of monotonicity
% Version  : [Fuchs, 1994] (equality) axioms.
%            Theorem formulation : Dual.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : p08b [Schulz, 1995] 

% Status   : unknown
% Syntax   : Number of clauses           :   31 (   0 non-Horn)(  20 unit)
%            Number of literals          :   43 (  43 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    8 (   4 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    4

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p08b_1,hypothesis,
    [++equal(greatest_lower_bound(identity,a),identity)]).

input_clause(p08b_2,hypothesis,
    [++equal(greatest_lower_bound(identity,b),identity)]).

input_clause(p08b_3,hypothesis,
    [++equal(greatest_lower_bound(identity,c),identity)]).

input_clause(prove_p08b,theorem,
    [--equal(greatest_lower_bound(greatest_lower_bound(a,multiply(b,c)),
multiply(greatest_lower_bound(a,b),greatest_lower_bound(a,c))),
greatest_lower_bound(a,multiply(b,c)))]).
%--------------------------------------------------------------------------
