%--------------------------------------------------------------------------
% File     : GRP182=PosNegId-2 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Positive part of the negative part is identity
% Version  : [Fuchs, 1994] (equality) axioms : Augmented.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
%          : Dahn B.I. (1995), Email to Geoff Sutcliffe.
% Source   : [Schulz, 1995]
% Names    : p17a [Schulz, 1995]

% Status   : unknown
% Syntax   : Number of clauses           :   31 (   0 non-Horn)(  20 unit)
%            Number of literals          :   43 (  43 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    6 (   2 constant)
%            Number of variables         :   68 (   2 singleton)
%            Maximal term depth          :    3

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a
%          : The theorem clause has been modified according to instructions
%            in [Dahn, 1995].
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p17a_1,hypothesis,
    [++equal(inverse(identity),identity)]).

input_clause(p17a_2,hypothesis,
    [++equal(inverse(inverse(X)),X)]).

input_clause(p17a_3,hypothesis,
    [++equal(inverse(multiply(X,Y)),multiply(inverse(Y),inverse(X)))]).

%----This is Schulz's clause
%input_clause(prove_p17a,theorem,
%    [--equal(least_upper_bound(identity,least_upper_bound(a,identity)),
%least_upper_bound(a,identity))]).
%----This is Dahn's clause
input_clause(prove_p17a,theorem,
    [--equal(least_upper_bound(identity,greatest_lower_bound(a,identity)),
identity)]).
%--------------------------------------------------------------------------
