%--------------------------------------------------------------------------
% File     : GRP184=OrthElComm-3 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Orthogonal elements commute and form a subgroup
% Version  : [Fuchs, 1994] (equality) axioms : Augmented.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Syntax   : Number of clauses           :   28 (   0 non-Horn)(  17 unit)
%            Number of literals          :   40 (  40 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    6 (   2 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    4

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a
%          : This is a standardized version of the problem that appears in
%            [Schulz, 1995].
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(prove_p21x,theorem,
    [--equal(multiply(least_upper_bound(a,identity),inverse(
greatest_lower_bound(a,identity))),multiply(inverse(
greatest_lower_bound(a,identity)),least_upper_bound(a,identity)))]).
%--------------------------------------------------------------------------
