%--------------------------------------------------------------------------
% File     : GRP186=AppDistGrp-2 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Application of distributivity and group theory
% Version  : [Fuchs, 1994] (equality) axioms : Augmented.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : p23 [Schulz, 1995]

% Status   : unknown
% Syntax   : Number of clauses           :   31 (   0 non-Horn)(  20 unit)
%            Number of literals          :   43 (  43 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    7 (   3 constant)
%            Number of variables         :   68 (   2 singleton)
%            Maximal term depth          :    5

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
%--------------------------------------------------------------------------
%----Include equality 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p23_1,hypothesis,
    [++equal(inverse(identity),identity)]).

input_clause(p23_2,hypothesis,
    [++equal(inverse(inverse(X)),X)]).

input_clause(p23_3,hypothesis,
    [++equal(inverse(multiply(X,Y)),multiply(inverse(Y),inverse(X)))]).

input_clause(prove_p23,theorem,
    [--equal(least_upper_bound(multiply(a,b),identity),multiply(
a,inverse(greatest_lower_bound(a,inverse(b)))))]).
%--------------------------------------------------------------------------
