%--------------------------------------------------------------------------
% File     : GRP187=OrthElComm-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Orthogonal elements commute
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
%          : Dahn B.I. (1995), Email to Geoff Sutcliffe.
% Source   : [Schulz, 1995]
% Names    : p33 [Schulz, 1995] 

% Status   : unknown
% Syntax   : Number of clauses           :   29 (   0 non-Horn)(  18 unit)
%            Number of literals          :   41 (  41 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    7 (   3 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    4

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
%          : [Dahn, 1995] says "Non-obvious. Usually proved using lat4."
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p33_1,hypothesis,
    [++equal(greatest_lower_bound(least_upper_bound(a,inverse(a)),
least_upper_bound(b,inverse(b))),identity)]).

input_clause(prove_p33,theorem,
    [--equal(multiply(a,b),multiply(b,a))]).
%--------------------------------------------------------------------------
