%--------------------------------------------------------------------------
% File     : GRP192=EvenElGrp-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Even elements implies trivial group
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : The assumption all(X,1 =< X) even implies that the group is 
%            trivial, i.e., all(X, X = 1).

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : p40a [Schulz, 1995] 

% Status   : unknown
% Syntax   : Number of clauses           :   29 (   0 non-Horn)(  18 unit)
%            Number of literals          :   41 (  41 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    7 (   3 constant)
%            Number of variables         :   66 (   2 singleton)
%            Maximal term depth          :    3

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p40a_1,hypothesis,
    [++equal(least_upper_bound(identity,X),X)]).

input_clause(prove_p40a,theorem,
    [--equal(multiply(a,b),multiply(b,a))]).
%--------------------------------------------------------------------------
