%--------------------------------------------------------------------------
% File     : HEN006=Eqn1-3 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X/Y <= Z => X/Z <= Y
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [ANL]
% Names    : HP6 [McCharen, et al., 1976]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   16 (   0 non-Horn)(   7 unit)
%            Number of literals          :   29 (  15 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    6 (   5 constant)
%            Number of variables         :   31 (   3 singleton)
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(a_divide_b_LE_d,hypothesis,
    [++less_equal(divide(a,b),d)]).

input_clause(prove_a_divide_d_LE_b,theorem,
    [--less_equal(divide(a,d),b)]).
%--------------------------------------------------------------------------
