%--------------------------------------------------------------------------
% File     : LCL021=XHN_XHK-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : XHK depends on XHN
% Version  : 
% English  : Show that the single Winker axiom XHK can be derived from the 
%            single Winker axiom XHN.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : EC-84 [McCune & Wos, 1992]

% Status   : unknown
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 unit)
%            Number of literals          :    5 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   3 constant)
%            Number of variables         :    5 (   0 singleton)
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Winker 
input_clause(xhn,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(Y,Z),
equivalent(equivalent(Z,X),Y))))]).

%----Axiom by Winker 
input_clause(prove_xhk,theorem,
    [--is_a_theorem(equivalent(a,equivalent(equivalent(b,c),
equivalent(equivalent(a,c),b))))]).
%--------------------------------------------------------------------------
