%--------------------------------------------------------------------------
% File     : MSC008=LatSq-1.002 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Miscellaneous
% Problem  : The (in)constructability of Graeco-Latin Squares
% Version  : 
% English  : The constructibility of Graeco-Latin squares of order 4t+2. 
%            This is impossible for t=0,1, but possible for all other 
%            cases. The size is the size of the squares.

% Refs     : Robinson J.A. (1963), Theorem Proving on the Computer, Journal 
%            of the ACM 10(2), ACM Press, New York, NY, 163-174.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   17 (   6 non-Horn)(   2 unit)
%            Number of literals          :   44 (   0 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    2 (   2 constant)
%            Number of variables         :   51 (   0 singleton)
%            Maximal term depth          :    1

% Comments : 
%          : tptp2X: -ftptp -s2 MSC008-1.g
%--------------------------------------------------------------------------
input_clause(p_1_is_not_p_2,axiom,
    [--eq(p_1,p_2)]).

input_clause(reflexivity,axiom,
    [++eq(X,X)]).

input_clause(symmetry,axiom,
    [--eq(X,Y),
     ++eq(Y,X)]).

input_clause(latin_element_is_unique,axiom,
    [--latin(Row,Column,Label1),
     --latin(Row,Column,Label2),
     ++eq(Label1,Label2)]).

input_clause(latin_column_is_unique,axiom,
    [--latin(Row,Column1,Label),
     --latin(Row,Column2,Label),
     ++eq(Column1,Column2)]).

input_clause(latin_row_is_unique,axiom,
    [--latin(Row1,Column,Label),
     --latin(Row2,Column,Label),
     ++eq(Row1,Row2)]).

input_clause(greek_element_is_unique,axiom,
    [--greek(Row,Column,Label1),
     --greek(Row,Column,Label2),
     ++eq(Label1,Label2)]).

input_clause(greek_column_is_unique,axiom,
    [--greek(Row,Column1,Label),
     --greek(Row,Column2,Label),
     ++eq(Column1,Column2)]).

input_clause(greek_row_is_unique,axiom,
    [--greek(Row1,Column,Label),
     --greek(Row2,Column,Label),
     ++eq(Row1,Row2)]).

input_clause(latin_cell_element,axiom,
    [++latin(Row,Column,p_1),
     ++latin(Row,Column,p_2)]).

input_clause(latin_column_required,axiom,
    [++latin(Row,p_1,Label),
     ++latin(Row,p_2,Label)]).

input_clause(latin_row_required,axiom,
    [++latin(p_1,Column,Label),
     ++latin(p_2,Column,Label)]).

input_clause(greek_cell_element,axiom,
    [++greek(Row,Column,p_1),
     ++greek(Row,Column,p_2)]).

input_clause(greek_column_required,axiom,
    [++greek(Row,p_1,Label),
     ++greek(Row,p_2,Label)]).

input_clause(greek_row_required,axiom,
    [++greek(p_1,Column,Label),
     ++greek(p_2,Column,Label)]).

input_clause(no_two_same1,theorem,
    [--greek(Row1,Column1,Label1),
     --latin(Row1,Column1,Label2),
     --greek(Row2,Column2,Label1),
     --latin(Row2,Column2,Label2),
     ++eq(Column1,Column2)]).

input_clause(no_two_same2,theorem,
    [--greek(Row1,Column1,Label1),
     --latin(Row1,Column1,Label2),
     --greek(Row2,Column2,Label1),
     --latin(Row2,Column2,Label2),
     ++eq(Row1,Row2)]).
%--------------------------------------------------------------------------
