%--------------------------------------------------------------------------
% File     : MSC009=FamilyTBox-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Miscellaneous
% Problem  : Definitions of a family structure
% Version  : 
% English  : 

% Refs     : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
% Source   : [Fermueller, et al., 1993]
% Names    : KL-ONE-example [Fermueller, et al., 1993]

% Status   : satisfiable
% Syntax   : Number of clauses           :   28 (   4 non-Horn)(   0 unit)
%            Number of literals          :   70 (   0 equality)
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :    6 (   0 constant)
%            Number of variables         :   35 (   0 singleton)
%            Maximal clause size         :    4
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(female1,theorem,
    [--female(X),
     --male(X)]).

input_clause(female2,theorem,
    [++male(X),
     ++female(X)]).

input_clause(person1,theorem,
    [--person(X),
     ++sex(X,sex_of1(X))]).

input_clause(person2,theorem,
    [--person(X),
     ++male(sex_of1(X)),
     ++female(sex_of1(X))]).

input_clause(person3,theorem,
    [--sex(X,Y),
     --male(Y),
     ++person(X)]).

input_clause(person4,theorem,
    [--sex(X,Y),
     --female(Y),
     ++person(X)]).

input_clause(parent1,theorem,
    [--parent(X),
     ++person(X)]).

input_clause(parent2,theorem,
    [--parent(X),
     ++child(X,child_of1(X))]).

input_clause(parent3,theorem,
    [--parent(X),
     ++person(child_of1(X))]).

input_clause(parent4,theorem,
    [--person(X),
     --child(X,Y),
     --person(Y),
     ++parent(X)]).

input_clause(mother1,theorem,
    [--mother(X),
     ++parent(X)]).

input_clause(mother2,theorem,
    [--mother(X),
     ++sex(X,sex_of2(X))]).

input_clause(mother3,theorem,
    [--mother(X),
     ++female(sex_of2(X))]).

input_clause(mother4,theorem,
    [--parent(X),
     --sex(X,Y),
     --female(Y),
     ++mother(X)]).

input_clause(father1,theorem,
    [--father(X),
     ++parent(X)]).

input_clause(father2,theorem,
    [--father(X),
     --mother(X)]).

input_clause(father3,theorem,
    [--parent(X),
     ++mother(X),
     ++father(X)]).

input_clause(grandparent1,theorem,
    [--grandparent(X),
     ++parent(X)]).

input_clause(grandparent2,theorem,
    [--grandparent(X),
     ++child(X,child_of2(X))]).

input_clause(grandparent3,theorem,
    [--grandparent(X),
     ++parent(child_of2(X))]).

input_clause(grandparent4,theorem,
    [--parent(X),
     --child(X,Y),
     --parent(Y),
     ++grandparent(X)]).

input_clause(parent_with_sons_only1,theorem,
    [--parent_with_sons_only(X),
     ++parent(X)]).

input_clause(parent_with_sons_only2,theorem,
    [--parent_with_sons_only(X),
     --child(X,Y),
     ++child_with_parent(Y)]).

input_clause(parent_with_sons_only3,theorem,
    [--parent(X),
     ++child(X,female_child_of(X)),
     ++parent_with_sons_only(X)]).

input_clause(parent_with_sons_only4,theorem,
    [--parent(X),
     --child_with_parent(female_child_of(X)),
     ++parent_with_sons_only(X)]).

input_clause(parent_with_sons_only5,theorem,
    [--child_with_parent(Y),
     ++sex(Y,sex_of3(Y))]).

input_clause(parent_with_sons_only6,theorem,
    [--child_with_parent(Y),
     ++male(sex_of3(Y))]).

input_clause(parent_with_sons_only7,theorem,
    [--sex(Y,Z),
     --male(Z),
     ++child_with_parent(Y)]).
%--------------------------------------------------------------------------
