%--------------------------------------------------------------------------
% File     : NUM010=Peano3-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Peano axiom 2
% Version  : [Boyer, et al., 1986] axioms.
% English  : 

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and 
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses for 
%            Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327.
% Source   : [Boyer, et al., 1986]
% Names    : Problem 234-235 [Boyer, et al., 1986]

% Status   : unknown
% Syntax   : Number of clauses           :  407 (  59 non-Horn)(  14 unit)
%            Number of literals          : 1048 ( 409 equality)
%            Maximal clause size         :    8
%            Number of predicate symbols :   20 (   0 propositional)
%            Number of function symbols  :   93 (  13 constant)
%            Number of variables         : 1092 (  32 singleton)
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms 
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_natural_number,hypothesis,
    [++member(f74,natural_numbers)]).

input_clause(prove_it_has_a_successor,theorem,
    [--member(successor(f74),natural_numbers)]).
%--------------------------------------------------------------------------
