%--------------------------------------------------------------------------
% File     : NUM256=TrnsfRecrEqn12-1 : TPTP v1.2.0. Bugfixed v1.0.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Transfinite recursion property 12
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays -Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Syntax   : Number of clauses           :  267 (  12 non-Horn)(  50 unit)
%            Number of literals          :  568 ( 253 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   17 (   0 propositional)
%            Number of function symbols  :   64 (  20 constant)
%            Number of variables         :  624 (  41 singleton)
%            Maximal term depth          :    7

% Comments : Not in [Quaife, 1992]. Theorem TREC14 in Quaife's collection.
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. The user may create 
%            an augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set 
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_transfinite_recursion_property12_1,theorem,
    [++member(x,recursion_equation_functions(z))]).

input_clause(prove_transfinite_recursion_property12_2,theorem,
    [++member(x,domain_of(z))]).

input_clause(prove_transfinite_recursion_property12_3,theorem,
    [--equal(compose(z,rest_of(union(singleton(ordered_pair(domain_of(x),
apply(z,x))),x))),union(singleton(ordered_pair(domain_of(x),
apply(z,x))),x))]).
%--------------------------------------------------------------------------
