%--------------------------------------------------------------------------
% File     : NUM285=BiCond-1 : TPTP v1.2.0. Released v1.1.0.
% Domain   : Number Theory
% Problem  : a0 + ... + a5 = b1 + ... + b5, expression in logic
% Version  : 
% English  : 

% Refs     : 
% Source   : [SETHEO]
% Names    : 

% Status   : satisfiable
% Syntax   : Number of clauses           :   54 (  31 non-Horn)(   2 unit)
%            Number of literals          :  146 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :   22 (  22 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    0

% Comments : It needs some explanation - help!
%--------------------------------------------------------------------------
%---- "+" ("sum modulo 2) :             a + b  ==  ~(a <-> b)
%---- "=" ("equality modulo two):       a = b  ==   (a <-> b)
%---- ai, bi: elements
%---- pi, qi: sums of elements 

%---- p1 = a0 + a1 
input_clause(p1_is_a0_plus_a1_1,theorem,
    [--p1,++a0,++a1]).

input_clause(p1_is_a0_plus_a1_2,theorem,
    [--p1,--a0,--a1]).

input_clause(p1_is_a0_plus_a1_3,theorem,
    [++p1,++a0,--a1]).

input_clause(p1_is_a0_plus_a1_4,theorem,
    [++p1,--a0,++a1]).

%---- p2 = p1 + a2 
input_clause(p2_is_p1_plus_a2_1,theorem,
    [--p2,++p1,++a2]).

input_clause(p2_is_p1_plus_a2_2,theorem,
    [--p2,--p1,--a2]).

input_clause(p2_is_p1_plus_a2_3,theorem,
    [++p2,++p1,--a2]).

input_clause(p2_is_p1_plus_a2_4,theorem,
    [++p2,--p1,++a2]).

%---- p3 = p2 + a3 
input_clause(p3_is_p2_plus_a3_1,theorem,
    [--p3,++p2,++a3]).

input_clause(p3_is_p2_plus_a3_2,theorem,
    [--p3,--p2,++a3]).

input_clause(p3_is_p2_plus_a3_3,theorem,
    [++p3,++p2,--a3]).

input_clause(p3_is_p2_plus_a3_4,theorem,
    [++p3,--p2,++a3]).

%---- p4 = p3 + a4 
input_clause(p4_is_p3_plus_a4_1,theorem,
    [--p4,++p3,++a4]).

input_clause(p4_is_p3_plus_a4_2,theorem,
    [--p4,--p3,++a4]).

input_clause(p4_is_p3_plus_a4_3,theorem,
    [++p4,++p3,--a4]).

input_clause(p4_is_p3_plus_a4_4,theorem,
    [++p4,--p3,++a4]).

%---- p5 = p4 + a5 
input_clause(p5_is_p4_plus_a5_1,theorem,
    [--p5,++p4,++a5]).

input_clause(p5_is_p4_plus_a5_2,theorem,
    [--p5,--p4,++a5]).

input_clause(p5_is_p4_plus_a5_3,theorem,
    [++p5,++p4,--a5]).

input_clause(p5_is_p4_plus_a5_4,theorem,
    [++p5,--p4,++a5]).

%---- q1 = b0 + b1 
input_clause(q1_is_b0_plus_b1_1,theorem,
    [--q1,++b0,++b1]).

input_clause(q1_is_b0_plus_b1_2,theorem,
    [--q1,--b0,--b1]).

input_clause(q1_is_b0_plus_b1_3,theorem,
    [++q1,++b0,--b1]).

input_clause(q1_is_b0_plus_b1_4,theorem,
    [++q1,--b0,++b1]).

%---- q2 = q1 + b2 
input_clause(q2_is_q1_plus_b2_1,theorem,
    [--q2,++q1,++b2]).

input_clause(q2_is_q1_plus_b2_2,theorem,
    [--q2,--q1,--b2]).

input_clause(q2_is_q1_plus_b2_3,theorem,
    [++q2,++q1,--b2]).

input_clause(q2_is_q1_plus_b2_4,theorem,
    [++q2,--q1,++b2]).

%---- q3 = q2 + b3 
input_clause(q3_is_q2_plus_b3_1,theorem,
    [--q3,++q2,++b3]).

input_clause(q3_is_q2_plus_b3_2,theorem,
    [--q3,--q2,++b3]).

input_clause(q3_is_q2_plus_b3_3,theorem,
    [++q3,++q2,--b3]).

input_clause(q3_is_q2_plus_b3_4,theorem,
    [++q3,--q2,++b3]).

%---- q4 = q3 + b4 
input_clause(q4_is_q3_plus_b4_1,theorem,
    [--q4,++q3,++b4]).

input_clause(q4_is_q3_plus_b4_2,theorem,
    [--q4,--q3,++b4]).

input_clause(q4_is_q3_plus_b4_3,theorem,
    [++q4,++q3,--b4]).

input_clause(q4_is_q3_plus_b4_4,theorem,
    [++q4,--q3,++b4]).

%---- q5 = q4 + b5 
input_clause(q5_is_q4_plus_b5_1,theorem,
    [--q5,++q4,++b5]).

input_clause(q5_is_q4_plus_b5_2,theorem,
    [--q5,--q4,++b5]).

input_clause(q5_is_q4_plus_b5_3,theorem,
    [++q5,++q4,--b5]).

input_clause(q5_is_q4_plus_b5_4,theorem,
    [++q5,--q4,++b5]).

%---- a0 =/= b0 
input_clause(a0_not_b0_1,theorem,
    [++a0,++b0]).

input_clause(a0_not_b0_2,theorem,
    [--a0,--b0]).

%---- a1 = b1 
input_clause(a1_is_b1_1,theorem,
    [++a1,--b1]).

input_clause(a1_is_b1_2,theorem,
    [--a1,++b1]).

%---- a2 = b2 
input_clause(a2_is_b2_1,theorem,
    [++a2,--b2]).

input_clause(a2_is_b2_2,theorem,
    [--a2,++b2]).

%---- a3 = b3 
input_clause(a3_is_b3_1,theorem,
    [++a3,--b3]).

input_clause(a3_is_b3_2,theorem,
    [--a3,++b3]).

%---- a4 = b4 
input_clause(a4_is_b4_1,theorem,
    [++a4,--b4]).

input_clause(a4_is_b4_2,theorem,
    [--a4,++b4]).

%---- a5 = b5 
input_clause(a5_is_b5_1,theorem,
    [++a5,--b5]).

input_clause(a5_is_b5_2,theorem,
    [--a5,++b5]).

%---- a0 + ... + an = b1 + ... + bn 
input_clause(equal_sum_1,theorem,
    [++q5]).

input_clause(equal_sum_2,theorem,
    [++p5]).
%--------------------------------------------------------------------------
