%--------------------------------------------------------------------------
% File     : PUZ015=Checkers1-2.003 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Puzzles
% Problem  : Checkerboard and Dominoes : Opposing corners removed
% Version  : Theorem formulation : Propositional.
% English  : There is a checker board whose upper left and lower right 
%            squares have been removed. There is a box of dominoes that 
%            are one square by two squares in size. Can you exactly cover 
%            the checker board with dominoes? The size is the dimension of
%            the checker board.

% Refs     : Stickel (1993), Email to Geoff Sutcliffe.
% Source   : [Stickel, 1993]
% Names    : - [Stickel, 1993]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   31 (   7 non-Horn)(   4 unit)
%            Number of literals          :   64 (   0 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :   12 (  12 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    0

% Comments : horizontal(R,C) means there is a horizontal tile from (R,C)
%            to (R,C+1). vertical(R,C) means there is a vertical tile from 
%            (R,C) to (R+1,C).
%          : tptp2X: -ftptp -s3 PUZ015-2.g
%--------------------------------------------------------------------------
input_clause(uncovered1_1_1,theorem,
    [--horizontal_1_1]).

input_clause(uncovered2_1_1,theorem,
    [--vertical_1_1]).

input_clause(uncovered3_3_3,theorem,
    [--horizontal_3_2]).

input_clause(uncovered4_3_3,theorem,
    [--vertical_2_3]).

input_clause(covered_1_2,theorem,
    [++horizontal_1_2,++vertical_1_2,++horizontal_1_1]).

input_clause(covered_1_3,theorem,
    [++vertical_1_3,++horizontal_1_2]).

input_clause(covered_2_1,theorem,
    [++horizontal_2_1,++vertical_2_1,++vertical_1_1]).

input_clause(covered_2_2,theorem,
    [++horizontal_2_2,
     ++vertical_2_2,
     ++horizontal_2_1,
     ++vertical_1_2]).

input_clause(covered_2_3,theorem,
    [++vertical_2_3,++horizontal_2_2,++vertical_1_3]).

input_clause(covered_3_1,theorem,
    [++horizontal_3_1,++vertical_2_1]).

input_clause(covered_3_2,theorem,
    [++horizontal_3_2,++horizontal_3_1,++vertical_2_2]).

input_clause(unique_cover1_1_2,theorem,
    [--horizontal_1_2,--vertical_1_2]).

input_clause(unique_cover2_1_2,theorem,
    [--horizontal_1_2,--horizontal_1_1]).

input_clause(unique_cover4_1_2,theorem,
    [--vertical_1_2,--horizontal_1_1]).

input_clause(unique_cover4_1_3,theorem,
    [--vertical_1_3,--horizontal_1_2]).

input_clause(unique_cover1_2_1,theorem,
    [--horizontal_2_1,--vertical_2_1]).

input_clause(unique_cover3_2_1,theorem,
    [--horizontal_2_1,--vertical_1_1]).

input_clause(unique_cover5_2_1,theorem,
    [--vertical_2_1,--vertical_1_1]).

input_clause(unique_cover1_2_2,theorem,
    [--horizontal_2_2,--vertical_2_2]).

input_clause(unique_cover2_2_2,theorem,
    [--horizontal_2_2,--horizontal_2_1]).

input_clause(unique_cover3_2_2,theorem,
    [--horizontal_2_2,--vertical_1_2]).

input_clause(unique_cover4_2_2,theorem,
    [--vertical_2_2,--horizontal_2_1]).

input_clause(unique_cover5_2_2,theorem,
    [--vertical_2_2,--vertical_1_2]).

input_clause(unique_cover6_2_2,theorem,
    [--horizontal_2_1,--vertical_1_2]).

input_clause(unique_cover4_2_3,theorem,
    [--vertical_2_3,--horizontal_2_2]).

input_clause(unique_cover5_2_3,theorem,
    [--vertical_2_3,--vertical_1_3]).

input_clause(unique_cover6_2_3,theorem,
    [--horizontal_2_2,--vertical_1_3]).

input_clause(unique_cover3_3_1,theorem,
    [--horizontal_3_1,--vertical_2_1]).

input_clause(unique_cover2_3_2,theorem,
    [--horizontal_3_2,--horizontal_3_1]).

input_clause(unique_cover3_3_2,theorem,
    [--horizontal_3_2,--vertical_2_2]).

input_clause(unique_cover6_3_2,theorem,
    [--horizontal_3_1,--vertical_2_2]).
%--------------------------------------------------------------------------
