%--------------------------------------------------------------------------
% File     : RNG008=BoolComm-7 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Boolean rings are commutative
% Version  : [Lusk & Wos, 1991] (equality) axioms.
% English  : Given a ring in which for all x, x * x = x, prove that for 
%            all x and y, x * y = y * x.

% Refs     : Lusk E., and Overbeek R. (1985), Reasoning about Equality, 
%            Journal of Automated Reasoning 1(2), 209-228.
%          : Wos L. (1988), Automated Reasoning: 33 Basic Research 
%            Problems, Prentice-Hall.
%          : Lusk E., and Wos L. (1991), Benchmark Problems in Which 
%            Equality Plays the Major Role, MCS-P275-1191, Mathematics and 
%            Computer Science Division, Argonne National Laboratory, 
%            Argonne, IL.
% Source   : [Lusk & Wos, 1991]
% Names    : Problem 3 [Lusk & Overbeek, 1985]
%          : Test Problem 8 [Wos, 1988]
%          : Boolean Rings [Wos, 1988]
%          : RT1 [Lusk & Wos, 1991]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   20 (   0 non-Horn)(  13 unit)
%            Number of literals          :   28 (  28 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    7 (   4 constant)
%            Number of variables         :   39 (   0 singleton)
%            Maximal term depth          :    3

% Comments : This is very similar to ring_x2.in [OTTER].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG005-0.ax').
%--------------------------------------------------------------------------
input_clause(boolean_ring,hypothesis,
    [++equal(multiply(X,X),X)]).

input_clause(a_times_b_is_c,theorem,
    [++equal(multiply(a,b),c)]).

input_clause(prove_commutativity,theorem,
    [--equal(multiply(b,a),c)]).
%--------------------------------------------------------------------------
