%--------------------------------------------------------------------------
% File     : RNG018=DiffDist4-6 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : (X+Y)*Z^-1 = (X*Z)^-1 + (Y*Z)^-1
% Version  : [Stevens, 1987] (equality) axioms.
% English  : 

% Refs     : Stevens R.L. (1987), Some Experiments in Nonassociative Ring 
%            Theory with an Automated Theorem Prover, In Journal 
%            of Automated Reasoning 3(2), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 211-221.
% Source   : [Stevens, 1987]
% Names    : c21 [Stevens, 1987]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   29 (   0 non-Horn)(  17 unit)
%            Number of literals          :   42 (  42 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    9 (   4 constant)
%            Number of variables         :   65 (   2 singleton)
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_distributivity,theorem,
    [--equal(multiply(add(x,y),additive_inverse(z)),add(
additive_inverse(multiply(x,z)),additive_inverse(multiply(y,z))))]).
%--------------------------------------------------------------------------
