%--------------------------------------------------------------------------
% File     : SET014=UnionOfSubS-2 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Union of subsets is a subset
% Version  : [McCharen, et al., 1976] axioms.
% English  : If A and B are contained in C then the union of A and 
%            B is also.

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Wang T-C., Bledsoe W.W. (1987), Hierarchical Deduction,
%            Journal of Automated Deduction 3(1), 35-77.
% Source   : [ANL]
% Names    : S4 [McCharen, et al., 1976]
%          : subset.ver1.in [ANL]
%          : EST-S4 [Wang & Bledsoe, 1987]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   35 (   3 non-Horn)(   6 unit)
%            Number of literals          :   74 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    8 (   4 constant)
%            Number of variables         :   80 (   5 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include set axioms 
include('Axioms/SET002-0.ax').
include('Axioms/SET002-0.eq').
%--------------------------------------------------------------------------
input_clause(a_subset_of_c,hypothesis,
    [++subset(as,cs)]).

input_clause(b_subset_of_c,hypothesis,
    [++subset(bs,cs)]).

input_clause(prove_a_union_b_subset_of_c,theorem,
    [--subset(union(as,bs),cs)]).
%--------------------------------------------------------------------------
