%--------------------------------------------------------------------------
% File     : SET015=UnionComm-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : The union of sets is commutative
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Wang T-C., Bledsoe W.W. (1987), Hierarchical Deduction,
%            Journal of Automated Deduction 3(1), 35-77.
% Source   : [McCharen, et al., 1976]
% Names    : S3 [McCharen, et al., 1976]
%          : EST-S3 [Wang & Bledsoe, 1987]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   33 (   3 non-Horn)(   4 unit)
%            Number of literals          :   72 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    7 (   3 constant)
%            Number of variables         :   80 (   5 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include set axioms 
include('Axioms/SET002-0.ax').
include('Axioms/SET002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_commutativity,theorem,
    [--equal_sets(union(as,bs),union(bs,as))]).
%--------------------------------------------------------------------------
