%--------------------------------------------------------------------------
% File     : SET015=UnionComm-4 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : The union of sets is commutative
% Version  : [Boyer, et al., 1986] axioms : Reduced > Incomplete.
% English  : 

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and 
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses for 
%            Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327.
% Source   : [ANL]
% Names    : union.ver2.in [ANL]

% Status   : unknown
% Syntax   : Number of clauses           :   18 (   3 non-Horn)(   6 unit)
%            Number of literals          :   35 (  13 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :   10 (   6 constant)
%            Number of variables         :   31 (   4 singleton)
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Axiom A-2, elements of sets are little sets.
input_clause(a2,axiom,
    [--member(X,Y),
     ++little_set(X)]).

%----Axiom A-3, principle of extensionality 
input_clause(extensionality1,axiom,
    [++little_set(f1(X,Y)),
     ++equal(X,Y)]).

input_clause(extensionality2,axiom,
    [++member(f1(X,Y),X),
     ++member(f1(X,Y),Y),
     ++equal(X,Y)]).

input_clause(extensionality3,axiom,
    [--member(f1(X,Y),X),
     --member(f1(X,Y),Y),
     ++equal(X,Y)]).

%----Axiom B-2, intersection 
input_clause(intersection1,axiom,
    [--member(Z,intersection(X,Y)),
     ++member(Z,X)]).

input_clause(intersection2,axiom,
    [--member(Z,intersection(X,Y)),
     ++member(Z,Y)]).

input_clause(intersection3,axiom,
    [++member(Z,intersection(X,Y)),
     --member(Z,X),
     --member(Z,Y)]).

%----Axiom B-3, complement 
input_clause(complement1,axiom,
    [--member(Z,complement(X)),
     --member(Z,X)]).

input_clause(complement2,axiom,
    [++member(Z,complement(X)),
     --little_set(Z),
     ++member(Z,X)]).

%----Definition of union 
input_clause(union,axiom,
    [++equal(union(X,Y),complement(intersection(complement(X),
complement(Y))))]).

%----Definition of empty set 
input_clause(empty_set,axiom,
    [--member(Z,empty_set)]).

%----Definition of universal set 
input_clause(universal_set,axiom,
    [++member(Z,universal_set),
     --little_set(Z)]).

input_clause(a_union_b_is_c,hypothesis,
    [++equal(union(as,bs),cs)]).

input_clause(b_union_a_is_d,hypothesis,
    [++equal(union(bs,as),ds)]).

input_clause(prove_c_equals_d,theorem,
    [--equal(cs,ds)]).
%--------------------------------------------------------------------------
