%--------------------------------------------------------------------------
% File     : SET036=ApplyFunc1-6 : TPTP v1.2.0. Bugfixed v1.2.1.
% Domain   : Set Theory
% Problem  : Properties of apply for functions, part 1 of 3
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : AP9 [Quaife, 1992]

% Status   : unknown
% Syntax   : Number of clauses           :  191 (   8 non-Horn)(  42 unit)
%            Number of literals          :  390 ( 182 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   49 (  15 constant)
%            Number of variables         :  437 (  33 singleton)
%            Maximal term depth          :    6

% Comments : This problem has been removed from its position in Quaife's 
%            order of presentation because it corresponds to one 
%            of Bledsoe, et al.'s [1986] problems. If the user wishes 
%            to create augmented versions of the Quaife problems, the 
%            Theorem name above indicates its position in Quaife's 
%            ordering.
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 1986]
%            are easily identified and positioned using Quaife's naming
%            scheme).
%          : tptp2X: SET036-6.p
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v1.2.1 - Fixed prove_application_property9_1.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_application_property9_1,theorem,
    [++single_valued_class(xf)]).

input_clause(prove_application_property9_2,theorem,
    [++member(ordered_pair(x,y),xf)]).

input_clause(prove_application_property9_3,theorem,
    [++member(ordered_pair(x,y),cross_product(universal_class,
universal_class))]).

input_clause(prove_application_property9_4,theorem,
    [--equal(apply(xf,x),y)]).
%--------------------------------------------------------------------------
