%--------------------------------------------------------------------------
% File     : SET040=ApplyCpsn2-6 : TPTP v1.2.0. Bugfixed v1.0.1.
% Domain   : Set Theory
% Problem  : Properties of apply for composition of functions, 2 of 3
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : AP12 [Quaife, 1992]

% Status   : unknown
% Syntax   : Number of clauses           :  189 (   8 non-Horn)(  40 unit)
%            Number of literals          :  388 ( 181 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   49 (  15 constant)
%            Number of variables         :  437 (  33 singleton)
%            Maximal term depth          :    6

% Comments : This problem has been removed from its position in Quaife's 
%            order of presentation because it corresponds to one 
%            of Bledsoe, et al.'s [1986] problems. If the user wishes 
%            to create augmented versions of the Quaife problems, the 
%            Theorem name above indicates its position in Quaife's 
%            ordering.
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 1986]
%            are easily identified and positioned using Quaife's naming
%            scheme).
%          : This problem from [Quaife] is different from that in
%            [Quaife, 1992].
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_application_property12_1,theorem,
    [++function(xf)]).

input_clause(prove_application_property12_2,theorem,
    [--subclass(apply(compose(yf,xf),x),apply(yf,apply(xf,x)))]).
%--------------------------------------------------------------------------
