%--------------------------------------------------------------------------
% File     : SET051=UnOrdPrAxCor2-6 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Corollary to Unordered pair axiom
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Syntax   : Number of clauses           :  161 (   8 non-Horn)(  32 unit)
%            Number of literals          :  334 ( 160 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   42 (  12 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Described as "corollaries 
%            to instantiate variables" in Quaife's collection.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_2_to_unordered_pair_1,theorem,
    [++member(ordered_pair(x,y),cross_product(u,v))]).

input_clause(prove_corollary_2_to_unordered_pair_2,theorem,
    [--member(y,unordered_pair(x,y))]).
%--------------------------------------------------------------------------
