%--------------------------------------------------------------------------
% File     : SET070=UOrdPrArg4-6 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Proper class in an unordered pair, part 4
% Version  : [Quaife, 1992] axioms.
% English  : If one argument of an unordered pair is a proper class, the 
%            pair contains only the other.

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Syntax   : Number of clauses           :  161 (   8 non-Horn)(  32 unit)
%            Number of literals          :  334 ( 161 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   40 (  10 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_unordered_pair_equals_singleton2_1,theorem,
    [--member(x,universal_class)]).

input_clause(prove_unordered_pair_equals_singleton2_2,theorem,
    [--equal(unordered_pair(x,y),singleton(y))]).
%--------------------------------------------------------------------------
