%--------------------------------------------------------------------------
% File     : SET108=1st2ndOrdPr-6 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : 1st and 2nd make the ordered pair
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992a), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
%          : Quaife A. (1992b), Automated Development of Fundamental
%            Mathematical Theories, Kluwer Academic Publishers.
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Syntax   : Number of clauses           :  161 (   8 non-Horn)(  32 unit)
%            Number of literals          :  334 ( 160 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   40 (  10 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal term depth          :    6

% Comments : In [Quaife, 1992b] there is another problem like this. The
%            clause is given below.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_existence_of_1st_and_2nd_1_1,theorem,
    [++member(ordered_pair(y,z),cross_product(universal_class,
universal_class))]).

%----This is the clause to use for the [Quaife, 1992b] problem.
% input_clause(prove_existence_of_1st_and_2nd_1_2,theorem,
%     [--member(ordered_pair(first(ordered_pair(y,z)),second(
% ordered_pair(y,z))),cross_product(universal_class,universal_class))]).

input_clause(prove_existence_of_1st_and_2nd_1_2,theorem,
    [--member(ordered_pair(first(ordered_pair(y,z)),second(
ordered_pair(y,z))),cross_product(universal_class,universal_class))]).
%--------------------------------------------------------------------------
