%--------------------------------------------------------------------------
% File     : SET296=DomOfInv-6 : TPTP v1.2.0. Bugfixed v1.0.1.
% Domain   : Set Theory
% Problem  : Domain of inverse
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
%          : Alexander G. (1995), Email to Geoff Sutcliffe.
% Source   : [Quaife]
% Names    : IN6.1 [Quaife, 1992]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :  188 (   8 non-Horn)(  39 unit)
%            Number of literals          :  387 ( 182 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   47 (  13 constant)
%            Number of variables         :  437 (  33 singleton)
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. With a few exceptions 
%            (the problems that correspond to [Bledsoe, et al., 1986] 
%            problems), the TPTP has retained the order in which Quaife 
%            presents the problems. The user may create an augmented 
%            version of this problem by adding all previously proved 
%            theorems (the ones that correspond to [Bledsoe, et al., 1986] 
%            are easily identified and positioned using Quaife's naming 
%            scheme).
%          : Used as a demodulator by Quaife.
%          : Geoff Aleaxander [Alexander, 1995] has pointed out that this 
%            theorem is the axiom range_of in SET004-0.ax. Thus it's easy 
%            to prove :-). The interesting bit of IN6 is IN6.2, in
%            SET297-6.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_domain_of_inverse_1,theorem,
    [--equal(domain_of(inverse(x)),range_of(x))]).
%--------------------------------------------------------------------------
