%--------------------------------------------------------------------------
% File     : SET358=SumClUnion-6 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Sum distributes over union
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SC9 [Quaife, 1992]

% Status   : unknown
% Syntax   : Number of clauses           :  191 (   8 non-Horn)(  42 unit)
%            Number of literals          :  390 ( 185 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   48 (  14 constant)
%            Number of variables         :  440 (  33 singleton)
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_sum_over_union_1,theorem,
    [--equal(sum_class(union(x,y)),union(sum_class(x),sum_class(y)))]).
%--------------------------------------------------------------------------
