%--------------------------------------------------------------------------
% File     : SET531=AppnEqn1-6 : TPTP v1.2.0. Bugfixed v1.2.1.
% Domain   : Set Theory
% Problem  : Application property 1
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : AP1.1 [Quaife, 1992]

% Status   : unknown
% Syntax   : Number of clauses           :  191 (   8 non-Horn)(  41 unit)
%            Number of literals          :  391 ( 184 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   11 (   0 propositional)
%            Number of function symbols  :   49 (  14 constant)
%            Number of variables         :  439 (  33 singleton)
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. With a few exceptions 
%            (the problems that correspond to [Bledsoe, et al., 1986] 
%            problems), the TPTP has retained the order in which Quaife 
%            presents the problems. The user may create an augmented 
%            version of this problem by adding all previously proved 
%            theorems (the ones that correspond to [Bledsoe, et al., 1986] 
%            are easily identified and positioned using Quaife's naming 
%            scheme).
%          : tptp2X: SET531-6.p
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v1.2.1 - Fixed prove_application_property1_1.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_application_property1_1,theorem,
    [++single_valued_class(z)]).

input_clause(prove_application_property1_2,theorem,
    [++member(x,domain_of(z))]).

input_clause(prove_application_property1_3,theorem,
    [--equal(member_of(image(z,singleton(x))),apply(z,x))]).
%--------------------------------------------------------------------------
