%--------------------------------------------------------------------------
% File     : SYN005=Or1-1.010 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Disjunctions that form a contradiction
% Version  : 
% English  : ~p1(X1,X2) v ~p2(X2,X3) v ... v ~p10(X10,X1).
%             p1(a,a)      p2(a,a) ...        p10(a,a)

% Refs     : Plaisted D.A. (1982), A Simplified Problem Reduction Format, 
%            Artificial Intelligence 18(X), 227-261.
% Source   : [Plaisted, 1982]
% Names    : Problem 5.4 [Plaisted, 1982]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(  10 unit)
%            Number of literals          :   20 (   0 equality)
%            Maximal clause size         :   10
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :    1 (   1 constant)
%            Number of variables         :   10 (   0 singleton)
%            Maximal term depth          :    1

% Comments : "On this example locking resolution (even with a bad choice 
%            of indices) and SL-resolution generate search spaces of size 
%            polynomial in n, but positive unit resolution, all-negative 
%            resolution, set-of-support strategy, ancestry-filter form, 
%            and input resolution all generate search spaces of size 
%            exponential in n." [Plaisted, 1982, p. 244]
%          : tptp2X: -ftptp -s10 SYN005-1.g
%--------------------------------------------------------------------------
input_clause(disjunction,theorem,
    [--p_1(X1,X2),
     --p_2(X2,X3),
     --p_3(X3,X4),
     --p_4(X4,X5),
     --p_5(X5,X6),
     --p_6(X6,X7),
     --p_7(X7,X8),
     --p_8(X8,X9),
     --p_9(X9,X10),
     --p_10(X10,X1)]).

input_clause(p_1,theorem,
    [++p_1(a,a)]).

input_clause(p_2,theorem,
    [++p_2(a,a)]).

input_clause(p_3,theorem,
    [++p_3(a,a)]).

input_clause(p_4,theorem,
    [++p_4(a,a)]).

input_clause(p_5,theorem,
    [++p_5(a,a)]).

input_clause(p_6,theorem,
    [++p_6(a,a)]).

input_clause(p_7,theorem,
    [++p_7(a,a)]).

input_clause(p_8,theorem,
    [++p_8(a,a)]).

input_clause(p_9,theorem,
    [++p_9(a,a)]).

input_clause(p_10,theorem,
    [++p_10(a,a)]).
%--------------------------------------------------------------------------
