%--------------------------------------------------------------------------
% File     : SYN067=FPell38-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 38
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 38 [Pelletier, 1986]
%          : p38a.in [ANL]
%          : p38b.in [ANL]

% Status   : satisfiable
% Syntax   : Number of clauses           :   84 (  69 non-Horn)(   0 unit)
%            Number of literals          :  500 (   0 equality)
%            Maximal clause size         :    9
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :   11 (   5 constant)
%            Number of variables         :  188 (   0 singleton)
%            Maximal term depth          :    2

% Comments : A full predicate logic version of Pelletier 17 and 33.
%          : Evidently this CNF is erroneous, because the FOF is provable.
%            I cannot recall where I got this CNF from.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_2,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_3,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_4,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_5,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_6,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_7,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_8,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_9,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_10,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_11,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_12,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_13,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_14,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_15,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_16,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_17,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_18,theorem,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_19,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_20,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_21,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_22,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_23,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_24,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_25,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_26,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_27,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_28,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_29,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_30,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_31,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_32,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_33,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_34,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_35,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_36,theorem,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_37,theorem,
    [++big_p(a),
     ++big_p(a),
     ++big_p(a)]).

input_clause(clause_38,theorem,
    [++big_p(a),
     ++big_p(a),
     ++big_p(c3)]).

input_clause(clause_39,theorem,
    [++big_p(a),
     ++big_p(a),
     ++big_r(c4,c3)]).

input_clause(clause_40,theorem,
    [++big_p(a),
     ++big_p(a),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_41,theorem,
    [++big_p(a),
     --big_p(c4),
     ++big_p(a)]).

input_clause(clause_42,theorem,
    [++big_p(a),
     --big_p(c4),
     ++big_p(c3)]).

input_clause(clause_43,theorem,
    [++big_p(a),
     --big_p(c4),
     ++big_r(c4,c3)]).

input_clause(clause_44,theorem,
    [++big_p(a),
     --big_p(c4),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_45,theorem,
    [++big_p(a),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(a)]).

input_clause(clause_46,theorem,
    [++big_p(a),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(c3)]).

input_clause(clause_47,theorem,
    [++big_p(a),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_r(c4,c3)]).

input_clause(clause_48,theorem,
    [++big_p(a),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_49,theorem,
    [--big_p(c2),
     ++big_p(c1),
     ++big_p(a),
     ++big_p(a)]).

input_clause(clause_50,theorem,
    [--big_p(c2),
     ++big_p(c1),
     ++big_p(a),
     ++big_p(c3)]).

input_clause(clause_51,theorem,
    [--big_p(c2),
     ++big_p(c1),
     ++big_p(a),
     ++big_r(c4,c3)]).

input_clause(clause_52,theorem,
    [--big_p(c2),
     ++big_p(c1),
     ++big_p(a),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_53,theorem,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(c4),
     ++big_p(a)]).

input_clause(clause_54,theorem,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(c4),
     ++big_p(c3)]).

input_clause(clause_55,theorem,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(c4),
     ++big_r(c4,c3)]).

input_clause(clause_56,theorem,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(c4),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_57,theorem,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(a)]).

input_clause(clause_58,theorem,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(c3)]).

input_clause(clause_59,theorem,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_r(c4,c3)]).

input_clause(clause_60,theorem,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_61,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     ++big_p(a),
     ++big_p(a)]).

input_clause(clause_62,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     ++big_p(a),
     ++big_p(c3)]).

input_clause(clause_63,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     ++big_p(a),
     ++big_r(c4,c3)]).

input_clause(clause_64,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     ++big_p(a),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_65,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(c4),
     ++big_p(a)]).

input_clause(clause_66,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(c4),
     ++big_p(c3)]).

input_clause(clause_67,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(c4),
     ++big_r(c4,c3)]).

input_clause(clause_68,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(c4),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_69,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(a)]).

input_clause(clause_70,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(c3)]).

input_clause(clause_71,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_r(c4,c3)]).

input_clause(clause_72,theorem,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_73,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     ++big_p(a),
     ++big_p(a)]).

input_clause(clause_74,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     ++big_p(a),
     ++big_p(c3)]).

input_clause(clause_75,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     ++big_p(a),
     ++big_r(c4,c3)]).

input_clause(clause_76,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     ++big_p(a),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_77,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(c4),
     ++big_p(a)]).

input_clause(clause_78,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(c4),
     ++big_p(c3)]).

input_clause(clause_79,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(c4),
     ++big_r(c4,c3)]).

input_clause(clause_80,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(c4),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_81,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(a)]).

input_clause(clause_82,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(c3)]).

input_clause(clause_83,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_r(c4,c3)]).

input_clause(clause_84,theorem,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).
%--------------------------------------------------------------------------
