%--------------------------------------------------------------------------
% File     : SYN067=FPell38-2 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 38
% Version  : Theorem formulation : Different clausification.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   21 (   8 non-Horn)(   1 unit)
%            Number of literals          :  115 (   0 equality)
%            Maximal clause size         :    9
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    6 (   6 constant)
%            Number of variables         :   47 (   4 singleton)
%            Maximal term depth          :    1

% Comments : A full predicate logic version of Pelletier 17 and 33.
%          : Created using the TPTP clausifier.
%--------------------------------------------------------------------------
input_clause(pel38_1,theorem,
    [++big_p(A),
     --big_p(a)]).

input_clause(pel38_2,theorem,
    [++big_r(B,C),
     --big_p(D),
     --big_p(a),
     --big_r(E,D)]).

input_clause(pel38_3,theorem,
    [++big_p(a)]).

input_clause(pel38_4,theorem,
    [++big_p(sk2),
     ++big_p(sk5),
     --big_p(sk1),
     --big_p(sk3)]).

input_clause(pel38_5,theorem,
    [++big_p(sk2),
     ++big_r(sk4,sk5),
     --big_p(sk1),
     --big_p(sk3)]).

input_clause(pel38_6,theorem,
    [++big_p(sk2),
     --big_p(A),
     --big_p(sk1),
     --big_p(sk3),
     --big_r(B,A),
     --big_r(sk4,B)]).

input_clause(pel38_7,theorem,
    [++big_p(sk2),
     ++big_p(sk5),
     --big_p(A),
     --big_p(sk1),
     --big_r(B,A),
     --big_r(sk3,B)]).

input_clause(pel38_8,theorem,
    [++big_p(sk2),
     ++big_r(sk4,sk5),
     --big_p(A),
     --big_p(sk1),
     --big_r(B,A),
     --big_r(sk3,B)]).

input_clause(pel38_9,theorem,
    [++big_p(sk2),
     --big_p(C),
     --big_p(A),
     --big_p(sk1),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk3,B),
     --big_r(sk4,D)]).

input_clause(pel38_10,theorem,
    [++big_p(sk5),
     ++big_r(sk1,sk2),
     --big_p(sk1),
     --big_p(sk3)]).

input_clause(pel38_11,theorem,
    [++big_r(sk1,sk2),
     ++big_r(sk4,sk5),
     --big_p(sk1),
     --big_p(sk3)]).

input_clause(pel38_12,theorem,
    [++big_r(sk1,sk2),
     --big_p(A),
     --big_p(sk1),
     --big_p(sk3),
     --big_r(B,A),
     --big_r(sk4,B)]).

input_clause(pel38_13,theorem,
    [++big_p(sk5),
     ++big_r(sk1,sk2),
     --big_p(A),
     --big_p(sk1),
     --big_r(B,A),
     --big_r(sk3,B)]).

input_clause(pel38_14,theorem,
    [++big_r(sk1,sk2),
     ++big_r(sk4,sk5),
     --big_p(A),
     --big_p(sk1),
     --big_r(B,A),
     --big_r(sk3,B)]).

input_clause(pel38_15,theorem,
    [++big_r(sk1,sk2),
     --big_p(C),
     --big_p(A),
     --big_p(sk1),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk3,B),
     --big_r(sk4,D)]).

input_clause(pel38_16,theorem,
    [++big_p(sk5),
     --big_p(A),
     --big_p(sk3),
     --big_r(B,A),
     --big_r(sk1,B)]).

input_clause(pel38_17,theorem,
    [++big_r(sk4,sk5),
     --big_p(A),
     --big_p(sk3),
     --big_r(B,A),
     --big_r(sk1,B)]).

input_clause(pel38_18,theorem,
    [--big_p(C),
     --big_p(A),
     --big_p(sk3),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk1,B),
     --big_r(sk4,D)]).

input_clause(pel38_19,theorem,
    [++big_p(sk5),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk1,B),
     --big_r(sk3,D)]).

input_clause(pel38_20,theorem,
    [++big_r(sk4,sk5),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk1,B),
     --big_r(sk3,D)]).

input_clause(pel38_21,theorem,
    [--big_p(E),
     --big_p(C),
     --big_p(A),
     --big_r(F,E),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk1,B),
     --big_r(sk3,D),
     --big_r(sk4,F)]).
%--------------------------------------------------------------------------
