%--------------------------------------------------------------------------
% File     : SYN071=FPell48-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 48
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Rudnicki P. (1993), Email to Geoff Sutcliffe.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 48 [Pelletier, 1986]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    7 (   2 non-Horn)(   3 unit)
%            Number of literals          :   12 (  12 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   4 constant)
%            Number of variables         :    6 (   0 singleton)
%            Maximal term depth          :    1

% Comments : Pelletier says that Rudnicki has not published this problem 
%            anywhere (see [Pelletier, 1986]).
%          : Rudnicki [Rudnicki, 1993] says "I have seen it for the first 
%            time around 1977, it was shown to me by A. Trybulec but I am 
%            sure it is folklore."
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(a,b),
     ++equal(c,d)]).

input_clause(clause_2,axiom,
    [++equal(a,c),
     ++equal(b,d)]).

input_clause(clause_3,theorem,
    [--equal(a,d)]).

input_clause(clause_4,theorem,
    [--equal(b,c)]).
%--------------------------------------------------------------------------
