%--------------------------------------------------------------------------
% File     : SYN074=FPell51-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 51
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 51 [Pelletier, 1986]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   20 (   5 non-Horn)(   1 unit)
%            Number of literals          :   55 (  36 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    5 (   2 constant)
%            Number of variables         :   48 (   2 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(g_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(g(C),g(D))]).

input_clause(h_substitutivity1,axiom,
    [--equal(E,F),
     ++equal(h(E,G),h(F,G))]).

input_clause(h_substitutivity2,axiom,
    [--equal(H,I),
     ++equal(h(J,H),h(J,I))]).

input_clause(big_f_substitutivity1,axiom,
    [--equal(K,L),
     --big_f(K,M),
     ++big_f(L,M)]).

input_clause(big_f_substitutivity2,axiom,
    [--equal(N,O),
     --big_f(P,N),
     ++big_f(P,O)]).

input_clause(clause_1,axiom,
    [--big_f(X,Y),
     ++equal(X,a)]).

input_clause(clause_2,axiom,
    [--big_f(X,Y),
     ++equal(Y,b)]).

input_clause(clause_3,axiom,
    [--equal(X,a),
     --equal(Y,b),
     ++big_f(X,Y)]).

input_clause(clause_4,theorem,
    [--big_f(f(X),Y),
     ++equal(Y,g(X)),
     ++equal(f(X),X)]).

input_clause(clause_5,theorem,
    [--big_f(f(X),Y),
     ++equal(Y,g(X)),
     ++big_f(f(X),h(X,Z)),
     ++equal(h(X,Z),Z)]).

input_clause(clause_6,theorem,
    [--big_f(f(X),Y),
     ++equal(Y,g(X)),
     --equal(h(X,Z),Z),
     --big_f(f(X),h(X,Z))]).

input_clause(clause_7,theorem,
    [--equal(Y,g(X)),
     ++big_f(f(X),Y),
     ++big_f(f(X),h(X,Z)),
     ++equal(h(X,Z),Z)]).

input_clause(clause_8,theorem,
    [--equal(Y,g(X)),
     ++big_f(f(X),Y),
     ++equal(f(X),X)]).

input_clause(clause_9,theorem,
    [--equal(Y,g(X)),
     ++big_f(f(X),Y),
     --equal(h(X,Z),Z),
     --big_f(f(X),h(X,Z))]).

input_clause(clause_10,theorem,
    [--equal(f(X),X),
     ++big_f(f(X),h(X,Z)),
     ++equal(h(X,Z),Z)]).

input_clause(clause_11,theorem,
    [--equal(f(X),X),
     --equal(h(X,Z),Z),
     --big_f(f(X),h(X,Z))]).
%--------------------------------------------------------------------------
