%--------------------------------------------------------------------------
% File     : SYN084=FPell62-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 62
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated 
%            Reasoning 4(2), 235-236.
%          : Pelletier F.J. (1995), Email to Geoff Sutcliffe.
% Source   : [Pelletier, 1988]
% Names    : Pelletier 62 [Pelletier, 1986]

% Status   : satisfiable
% Syntax   : Number of clauses           :   13 (   8 non-Horn)(   1 unit)
%            Number of literals          :   50 (   0 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   3 constant)
%            Number of variables         :   14 (   6 singleton)
%            Maximal term depth          :    3

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            'corrected' in [Pelletier, 1988]. The 1988 FOF version is
%            wrong and the clauses are incorrect too [Pelletier, 1995].
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++big_p(a)]).

input_clause(clause_2,theorem,
    [--big_p(f(Y)),
     ++big_p(f(f(X))),
     ++big_p(X),
     --big_p(a)]).

input_clause(clause_3,theorem,
    [++big_p(Y),
     ++big_p(f(f(X))),
     ++big_p(X),
     --big_p(a)]).

input_clause(clause_4,theorem,
    [--big_p(c),
     ++big_p(f(c)),
     ++big_p(f(f(X))),
     ++big_p(X),
     --big_p(a)]).

input_clause(clause_5,theorem,
    [--big_p(f(f(c))),
     ++big_p(f(f(X))),
     ++big_p(X),
     --big_p(a)]).

input_clause(clause_6,theorem,
    [--big_p(f(f(c))),
     ++big_p(f(f(X))),
     --big_p(f(X)),
     --big_p(a)]).

input_clause(clause_7,theorem,
    [--big_p(c),
     ++big_p(f(c)),
     ++big_p(f(f(X))),
     --big_p(f(X)),
     --big_p(a)]).

input_clause(clause_8,theorem,
    [++big_p(Y),
     ++big_p(f(f(X))),
     --big_p(f(X)),
     --big_p(a)]).

input_clause(clause_9,theorem,
    [--big_p(f(Y)),
     ++big_p(f(f(X))),
     --big_p(f(X)),
     --big_p(a)]).

input_clause(clause_10,theorem,
    [--big_p(f(f(c))),
     ++big_p(f(b)),
     --big_p(b)]).

input_clause(clause_11,theorem,
    [--big_p(c),
     ++big_p(f(c)),
     ++big_p(f(b)),
     --big_p(b)]).

input_clause(clause_12,theorem,
    [--big_p(a),
     ++big_p(Y),
     ++big_p(f(b)),
     --big_p(b)]).

input_clause(clause_13,theorem,
    [--big_p(a),
     --big_p(f(Y)),
     ++big_p(f(b)),
     --big_p(b)]).
%--------------------------------------------------------------------------
