%--------------------------------------------------------------------------
% File     : SYN305=Decide3-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Bourely C., Caferra R., Peltier N. (1994), A Method for
%            Building Models Automatically. Experiments with an extension
%            of Otter, In Bundy A. (Ed), Proceedings of the 12th
%            International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 814),
%            Springer-Verlag, New York, USA, 72-86.
% Source   : [Bourely, et al., 1984]
% Names    : Example 3 [Bourely, et al., 1984]

% Status   : satisfiable
% Syntax   : Number of clauses           :    9 (   0 non-Horn)(   4 unit)
%            Number of literals          :   15 (  15 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    3 (   0 constant)
%            Number of variables         :   15 (   0 singleton)
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution1,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(g1_substitution1,axiom,
    [--equal(A,B),
     ++equal(g1(A),g1(B))]).

input_clause(g2_substitution1,axiom,
    [--equal(A,B),
     ++equal(g2(A),g2(B))]).

input_clause(clause1,theorem,
    [++equal(f(g1(X)),X)]).

input_clause(clause2,theorem,
    [++equal(f(g2(X)),X)]).

input_clause(clause3,theorem,
    [--equal(g1(X),g2(X))]).
%--------------------------------------------------------------------------
