%--------------------------------------------------------------------------
% File     : SYN325=Church46_9_2-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.9 (2)
% Version  : 
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch9N2 [Tammet, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    5 (   2 non-Horn)(   1 unit)
%            Number of literals          :    9 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    1 (   0 constant)
%            Number of variables         :    5 (   1 singleton)
%            Maximal term depth          :    2

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++f(X,X),
     ++f(X,y(X))]).

input_clause(clause2,theorem,
    [++f(X,X),
     ++g(X)]).

input_clause(clause3,theorem,
    [--f(y(X),y(X)),
     ++f(X,y(X))]).

input_clause(clause4,theorem,
    [--f(y(X),y(X)),
     ++g(X)]).

input_clause(clause5,theorem,
    [--g(y(X))]).
%--------------------------------------------------------------------------
