%--------------------------------------------------------------------------
% File     : SYN328=Church46_12_3-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.12 (3)
% Version  : 
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch12N3 [Tammet, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   11 (   4 non-Horn)(   0 unit)
%            Number of literals          :   28 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    2 (   0 constant)
%            Number of variables         :   11 (   0 singleton)
%            Maximal term depth          :    2

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [--f(y(X)),
     ++g(y(X)),
     --f(X)]).

input_clause(clause2,theorem,
    [++f(y(X)),
     ++f(X)]).

input_clause(clause3,theorem,
    [--g(y(X)),
     ++f(X)]).

input_clause(clause4,theorem,
    [--f(y(X)),
     ++h(y(X)),
     --g(X)]).

input_clause(clause5,theorem,
    [++f(y(X)),
     ++g(X)]).

input_clause(clause6,theorem,
    [--h(y(X)),
     ++g(X)]).

input_clause(clause7,theorem,
    [++f(y(X)),
     ++h(y(X)),
     --h(X)]).

input_clause(clause8,theorem,
    [--g(y(X)),
     ++h(y(X)),
     --h(X)]).

input_clause(clause9,theorem,
    [--f(y(X)),
     ++g(y(X)),
     ++h(X)]).

input_clause(clause10,theorem,
    [--h(y(X)),
     ++h(X)]).

input_clause(clause11,theorem,
    [--f(z(X)),
     --g(z(X)),
     --h(z(X))]).
%--------------------------------------------------------------------------
