%--------------------------------------------------------------------------
% File     : SYN335=Church46_14_7-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.14 (7)
% Version  : 
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch14N7 [Tammet, 1994]

% Status   : satisfiable
% Syntax   : Number of clauses           :   12 (   4 non-Horn)(   1 unit)
%            Number of literals          :   26 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    1 (   0 constant)
%            Number of variables         :   24 (   1 singleton)
%            Maximal term depth          :    2

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++f(X,z(X,Y))]).

input_clause(clause2,theorem,
    [--f(z(X,Y),z(X,Y)),
     ++g(z(X,Y),z(X,Y)),
     --f(X,Y)]).

input_clause(clause3,theorem,
    [++f(z(X,Y),z(X,Y)),
     ++f(X,Y)]).

input_clause(clause4,theorem,
    [--g(z(X,Y),z(X,Y)),
     ++f(X,Y)]).

input_clause(clause5,theorem,
    [--g(z(X,Y),z(X,Y)),
     ++f(z(X,Y),z(X,Y)),
     --g(X,Y)]).

input_clause(clause6,theorem,
    [++g(z(X,Y),z(X,Y)),
     ++g(X,Y)]).

input_clause(clause7,theorem,
    [--f(z(X,Y),z(X,Y)),
     ++g(X,Y)]).

input_clause(clause8,theorem,
    [--g(X,Y),
     ++f(Y,X),
     --g(Y,z(X,Y))]).

input_clause(clause9,theorem,
    [++g(X,Y),
     ++g(Y,z(X,Y))]).

input_clause(clause10,theorem,
    [--f(Y,X),
     ++g(Y,z(X,Y))]).

input_clause(clause11,theorem,
    [++f(z(X,Y),Y),
     ++f(Y,X)]).

input_clause(clause12,theorem,
    [--f(z(X,Y),Y),
     --f(Y,X)]).
%--------------------------------------------------------------------------
