%--------------------------------------------------------------------------
% File     : SYN345=Church46_16_4-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.16 (4)
% Version  : 
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch16N4 [Tammet, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    8 (   4 non-Horn)(   0 unit)
%            Number of literals          :   24 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    3 (   2 constant)
%            Number of variables         :   13 (   5 singleton)
%            Maximal term depth          :    2

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++f(a,b,Y1),
     --f(a,a,b),
     ++f(a,b,b)]).

input_clause(clause2,theorem,
    [--f(Y2,Y1,z(Y1,Y2)),
     --f(a,a,b),
     ++f(a,b,b)]).

input_clause(clause3,theorem,
    [++f(b,Y1,Y2),
     ++f(a,a,b),
     --f(a,b,b)]).

input_clause(clause4,theorem,
    [--f(Y1,z(Y1,Y2),z(Y1,Y2)),
     ++f(a,a,b),
     --f(a,b,b)]).

input_clause(clause5,theorem,
    [++f(Y1,Y2,z(Y1,Y2)),
     ++f(a,a,b),
     ++f(a,b,b)]).

input_clause(clause6,theorem,
    [++f(Y1,Y2,z(Y1,Y2)),
     --f(a,a,b),
     --f(a,b,b)]).

input_clause(clause7,theorem,
    [--f(b,b,Y1),
     ++f(a,a,b),
     ++f(a,b,b)]).

input_clause(clause8,theorem,
    [--f(b,b,Y1),
     --f(a,a,b),
     --f(a,b,b)]).
%--------------------------------------------------------------------------
