%--------------------------------------------------------------------------
% File     : SYN352=Church46_18_4-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.18 (4)
% Version  : 
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch18N4 [Tammet, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    7 (   4 non-Horn)(   1 unit)
%            Number of literals          :   18 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    3 (   2 constant)
%            Number of variables         :   12 (   0 singleton)
%            Maximal term depth          :    2

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++f(a,b)]).

input_clause(clause2,theorem,
    [--f(X,Y),
     ++f(b,z(X,Y)),
     ++f(Y,z(X,Y))]).

input_clause(clause3,theorem,
    [++f(X,Y),
     ++f(z(X,Y),z(X,Y))]).

input_clause(clause4,theorem,
    [++f(b,z(X,Y)),
     ++f(X,z(X,Y)),
     ++f(z(X,Y),z(X,Y))]).

input_clause(clause5,theorem,
    [--f(b,z(X,Y)),
     --f(X,z(X,Y)),
     ++f(z(X,Y),z(X,Y))]).

input_clause(clause6,theorem,
    [--f(X,Y),
     --f(X,z(X,Y)),
     --f(Y,z(X,Y))]).

input_clause(clause7,theorem,
    [--f(X,Y),
     ++f(X,z(X,Y)),
     ++f(Y,z(X,Y))]).
%--------------------------------------------------------------------------
