%--------------------------------------------------------------------------
% File     : SYN353=Church46_18_5-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.18 (5)
% Version  : 
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch18N5 [Tammet, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   17 (   8 non-Horn)(   0 unit)
%            Number of literals          :   47 (   0 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    2 (   1 constant)
%            Number of variables         :   51 (   0 singleton)
%            Maximal term depth          :    2

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [--f(Y1,Y2,Y3),
     --f(a,a,z(Y1,Y2,Y3)),
     ++f(Y2,Y3,Y1),
     ++f(Y3,Y1,Y2)]).

input_clause(clause2,theorem,
    [--f(Y3,Y1,Y2),
     ++f(Y1,Y2,Y3),
     --f(Y2,Y1,z(Y1,Y2,Y3))]).

input_clause(clause3,theorem,
    [--f(Y3,Y1,Y2),
     ++f(Y2,Y3,Y1),
     --f(Y2,Y1,z(Y1,Y2,Y3))]).

input_clause(clause4,theorem,
    [++f(Y3,Y1,Y2),
     ++f(Y2,Y1,z(Y1,Y2,Y3))]).

input_clause(clause5,theorem,
    [--f(Y1,Y2,Y3),
     --f(Y2,Y3,Y1),
     ++f(Y2,Y1,z(Y1,Y2,Y3))]).

input_clause(clause6,theorem,
    [--f(Y2,Y3,Y1),
     ++f(Y1,Y2,Y3),
     --f(Y1,z(Y1,Y2,Y3),Y2)]).

input_clause(clause7,theorem,
    [--f(Y2,Y3,Y1),
     ++f(Y3,Y1,Y2),
     --f(Y1,z(Y1,Y2,Y3),Y2)]).

input_clause(clause8,theorem,
    [++f(Y2,Y3,Y1),
     ++f(Y1,z(Y1,Y2,Y3),Y2)]).

input_clause(clause9,theorem,
    [--f(Y1,Y2,Y3),
     --f(Y3,Y1,Y2),
     ++f(Y1,z(Y1,Y2,Y3),Y2)]).

input_clause(clause10,theorem,
    [++f(Y3,Y1,Y2),
     ++f(Y1,Y2,Y3),
     --f(z(Y1,Y2,Y3),Y2,Y1)]).

input_clause(clause11,theorem,
    [++f(Y2,Y3,Y1),
     ++f(Y1,Y2,Y3),
     --f(z(Y1,Y2,Y3),Y2,Y1)]).

input_clause(clause12,theorem,
    [--f(Y3,Y1,Y2),
     --f(Y2,Y3,Y1),
     ++f(z(Y1,Y2,Y3),Y2,Y1)]).

input_clause(clause13,theorem,
    [--f(Y1,Y2,Y3),
     ++f(z(Y1,Y2,Y3),Y2,Y1)]).

input_clause(clause14,theorem,
    [++f(Y1,Y2,Y3),
     ++f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3))]).

input_clause(clause15,theorem,
    [++f(Y2,Y3,Y1),
     ++f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3))]).

input_clause(clause16,theorem,
    [++f(Y3,Y1,Y2),
     ++f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3))]).

input_clause(clause17,theorem,
    [--f(Y1,Y2,Y3),
     --f(Y2,Y3,Y1),
     --f(Y3,Y1,Y2),
     --f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3))]).
%--------------------------------------------------------------------------
